linux-oem-osp1 (5.0.0-1010.11) bionic; urgency=medium


  [ Ubuntu: 5.0.0-17.18 ]

  * Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
    manipulation (LP: #1831638)
    - SAUCE: tcp: tcp_fragment() should apply sane memory limits
  * Remote denial of service (system crash) caused by integer overflow in TCP
    SACK handling (LP: #1831637)
    - SAUCE: tcp: limit payload size of sacked skbs

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 14 Jun 2019 11:53:29 +0200

linux-oem-osp1 (5.0.0-1009.10) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1009.10 -proposed tracker (LP: #1832464)

  * Add DMIC support to oem-kernel (LP: #1826181)
    - Revert "ASoC:SOF:get spcm from FE dai link during BE dai link prepare"
    - ASoC: SOF: intel: hda: add hw_params_upon_resume flag for hda stream
    - ASoC: SOF: enable DEBUG by default
    - ASoC: codec: hdac_hdmi: no checking monitor in hw_params
    - ASoC: SOF: IPC: add ipc dump function
    - ASoC: SOF: Intel: APL: add ipc dump function
    - ASoC: SOF: Intel: CNL: add ipc dump function
    - ASoC: SOF: fix race in FW boot timeout handling
    - ASoC: SOF: pcm: remove runtime PM calls during pcm open/close
    - ASoC: SOF: fix error in verbose ipc command parsing
    - ASoC: SOF: topology: refine multi-core power up/down to avoid core status
      chaos
    - ASoC: SOF: core: remove DSP after unregistering machine driver
    - ASoC: SOF: core: remove snd_soc_unregister_component in case of error
    - ASoC: SOF: uapi: align comments with firmware files
    - ASoC: SOF: uapi: mirror firmware changes
    - ASoC: SOF: PCM: add period_elapsed work to fix race condition in interrupt
      context
    - ASoC: SOF: Intel: use snd_sof_pcm_period_elapsed
    - ASoC: SOF: ipc: use snd_sof_pcm_period_elapsed
    - ASoC: SOF: pcm: clear hw_params_upon_resume flag correctly
    - ALSA: hdac: fix memory release for SST and SOF drivers
    - ASoC: SOF: control: correct the copy size for bytes kcontrol put
    - ASoC: SOF: core: fix error handling with the probe workqueue
    - ASoC: intel: skl_hda_dsp_common: create HDMI jack kctl
    - ALSA: hda/realtek - Check headset type by unplug and resume
    - ASoC: SOF: fix DSP oops definitions in FW ABI
    - ASoC: SOF: soundwire: add initial soundwire support
    - ASoC: SOF: bump to ABI 3.6
    - Revert "ASoC:SOF: fix FW loaded failed"
    - ASoC: SOF: ipc: fix a race, leading to IPC timeouts
    - Revert "ALSA: hdac: fix memory release for SST and SOF drivers"
    - ASoC: hdac_hdmi: jack hotplug in S3
    - ASoC: SOF: Add Comet Lake PCI IDs
    - ALSA: hda - Force polling mode on CNL for fixing codec communication
    - ALSA: hda: assign polling_mode after azx_bus_init
    - ALSA: hda: move polling_mode flag to struct hdac_bus
    - ALSA: hda: add polling mode in snd_hdac_bus_get_response
    - ASoC: SOF: Force polling mode on CFL and CNL
    - ASoC: SOF: hda: save handle to sdev in sof_intel_hda_stream
    - ASoC: SOF: topology: add cpu_dai_name for DAIs
    - ASoC: SOF: Intel: hda: add new macro hstream_to_sof_hda_stream()
    - ASoC: SOF: assign link DMA channel at run-time
    - ASoC: SOF: hda: reserve host DMA channel for hostless streams
    - ASoC: SOF: Intel: hda: release link DMA for paused streams during suspend
    - ASoC: SOF: hda: couple host and link DMA during FE hw_free
    - ASoC: SOF: Intel: hda-dsp: fix compilation warning
    - ASoC: SOF: hda: set autosuspend delay for hda bus device
    - ASoC: SOF: Intel: hda: switch to use legacy IRQ mode
    - ALSA: hda: fix: lock reg_lock before calling snd_hdac_bus_update_rirb
    - ASoC: SOF: intel: hda-stream: fix a deadlock with bus->reg_lock
    - [Config-oem] Enable CONFIG_SND_SOC_SOF_COFFEELAKE_SUPPORT

  * [SRU][B/B-OEM/C/D/OEM-OSP1] Add RTL8822 wifi driver rtw88 (LP: #1831828)
    - rtw88: new Realtek 802.11ac driver
    - rtw88: fix shift of more than 32 bits of a integer
    - rtw88: phy: mark expected switch fall-throughs
    - rtw88: Make RA_MASK macros ULL
    - [Config] Add realtek wifi RTW88 support
    - [Config-oem] Add realtek wifi RTW88 support

  * Sound device not detected after resume from hibernate (LP: #1826868)
    - drm/i915: Force 2*96 MHz cdclk on glk/cnl when audio power is enabled
    - drm/i915: Save the old CDCLK atomic state
    - drm/i915: Remove redundant store of logical CDCLK state
    - drm/i915: Skip modeset for cdclk changes if possible

  * QCA9377 isn't being recognized sometimes (LP: #1757218)
    - SAUCE: USB: Disable USB2 LPM at shutdown

  * Add new sound card PCIID into the alsa driver (LP: #1832299)
    - ALSA: hda/intel: add CometLake PCI IDs

  * To support Intel Wireless-AX 22000 series (LP: #1809224)
    - iwlwifi: pcie: make array 'prop' static, shrinks object size
    - iwlwifi: wrt: add to dump number of lmacs, lmac1 and umac error id
    - iwlwifi: mvm: advertise support for TWT in the Extended Capability IE
    - iwlwifi: mvm: rely on mac80211 to configure TWT support
    - iwlwifi: add PCI IDs for the 22260 device series
    - iwlwifi: pcie: recognize NICs with hw_rev 0x364 correctly
    - iwlwifi: mvm: fix wrong DCM TLC config
    - iwlwifi: correct one of the PCI struct names
    - iwlwifi: add new cards for 22560, 9260 and killer series
    - iwlwifi: mvm: fix firmware statistics usage
    - iwlwifi: remove support for 9000 A-step devices
    - iwlwifi: pcie: remove unnecessary iwl_pcie_enable_rx_wake() function
    - iwlwifi: pcie: remove suspend/resume workaround for 9000A devices
    - iwlwifi: wrt: add 22000 device familiy prph dump support
    - iwlwifi: mvm: make NVM access actually fail on failures
    - iwlwifi: mvm: support mac80211 TXQs model
    - iwlwifi: mvm: support mac80211 AMSDU
    - iwlwifi: mvm: fix values in the table example
    - iwlwifi: use kmemdup in iwl_parse_nvm_mcc_info()
    - iwlwifi: fix spelling mistake "registrating" -> "registering"
    - iwlwifi: mvm: bring back mvm GSO code
    - iwlwifi: mvm: Flush transmit queues on P2P Device ROC done
    - iwlwifi: mvm: Set Tx rate and flags when there is not station
    - iwlwifi: mvm: Do not set RTS/CTS protection for P2P Device MAC
    - iwlwifi: update hcmds documentation
    - iwlwifi: mvm: make num_active_macs unsigned
    - iwlwifi: tighten boundary checks
    - iwlwifi: memcpy from dev_cmd and not dev_cmd->hdr
    - iwlwifi: mvm: avoid possible access out of array.
    - iwlwifi: avoid access out of memory allocated
    - iwlwifi: fw api: remove unused/deprecated filter status
    - iwlwifi: fw api: document WoWLAN patterns command
    - iwlwifi: pcie: fix the use of a wrong define
    - iwlwifi: iwlmvm: ignore HE PPDU type regarding EOF
    - iwlwifi: iwlmvm: in monitor NDP notif take the NSS from rx_vec
    - iwlwifi: pcie: add prints to track virtual ID
    - iwlwifi: mvm: fix %16 to %016 print format
    - iwlwifi: mvm: read IWL_RX_MPDU_PHY_SHORT_PREAMBLE only for CCK
    - iwlwifi: pcie: align licensing to dual GPL/BSD
    - iwlwifi: mvm: clean up LDBG config command usage
    - iwlwifi: mvm: save and export regdb blob from the NVM
    - iwlwifi: make iwl_fw_dbg_start_stop_hcmd() inline
    - iwlwifi: move iwl_enable_{rx,tx}_ampdu to iwl-modparams.h
    - iwlwifi: mvm: pre-initialize alive_data in wait_alive()
    - iwlwifi: calculate pointers from out_cmd instead of out_cmd->hdr
    - iwlwifi: make sure cur_fw_img is valid before accessing img
    - iwlwifi: mvm: remove sta key on wep ap
    - iwlwifi: monitor dumping flow cleanup
    - iwlwifi: mvm: add an option to dereference vif by id
    - iwlwifi: mvm: fix A-MPDU reference assignment
    - iwlwifi: mvm: get rid of tx_path_lock
    - iwlwifi: remove TOF implementation
    - iwlwifi: dvm: remove useless condition
    - iwlwifi: pcie: use u32* argument to iwl_trans_get_fw_monitor_len()
    - iwlwifi: mvm: Disconnect on large beacon loss
    - iwlwifi: mvm: add location APIs
    - iwlwifi: mvm: implement CSI reporting
    - iwlwifi: mvm: Change FW channel info API
    - iwlwifi: mvm: freeze management TXQ timer when station goes to sleep
    - iwlwifi: mvm: disable completely low latency mode with debugfs
    - iwlwifi: update product name for 9260 and 9560
    - iwlwifi: mvm: document monitor mode reorder buffer bypass
    - iwlwifi: mvm: include configured sniffer AID in radiotap
    - iwlwifi: trigger dump on assert prior to setting the device up
    - iwlwifi: mvm: update firmware when MU EDCA params change
    - iwlwifi: dbg_ini: allocate dram buffer with proper flags
    - iwlwifi: dbg_ini: properly handle ini user trigger
    - iwlwifi: dbg_ini: retrieve dump_delay value properly
    - iwlwifi: dbg_ini: set dump mask BIT(n) instead of n
    - iwiwifi: fix bad monitor buffer register addresses
    - iwlwifi: mvm: fix merge damage in iwl_mvm_rx_mpdu_mq()
    - wireless: prefix header search paths with $(srctree)/
    - iwlwifi: bump FW API to 44 for 9000 and 22000 series
    - iwlwifi dbg_ini: update ini structs doc
    - iwlwifi: dbg_ini: fix iwl_fw_ini_buffer_location field enum bad naming
    - iwlwifi: dbg_ini: give better naming to region struct fields
    - iwlwifi: fix bad dma handling in page_mem dumping flow
    - iwlwifi: mvm: simplify some return conditions
    - iwlwifi: mvm: support CHANNEL_SWITCH_TIME_EVENT_CMD command
    - iwlwifi: differentiate between alive timeout and alive flow failure
    - iwlwifi: dbg_ini: update ini triggers enum
    - iwlwifi: dbg_ini: update max region id num to support 64 regions
    - iwlwifi: mvm: support new format for the beacon notification
    - iwlwifi: mvm: remove duplicated include from ops.c
    - iwlwifi: Fix pre operational dumping flows
    - iwlwifi: dbg_ini: update ini structs meta doc
    - iwlwifi: dvm: fix some fall through warnings
    - iwlwifi: mvm: add fall through comments where needed
    - iwlwifi: mvm: fix AP mode in WEP
    - iwlwifi: mvm: limit AMSDU size to 8K
    - iwlwifi: mvm: remove redundant condition
    - iwlwifi: mvm: add tlc command name to output
    - iwlwifi: mvm: config mac ctxt to HE before TLC
    - iwlwifi: dvm: use %u for sscanf() into unsigned variable
    - iwlwifi: dbg_ini: remove redundant dram buffer allocation
    - iwlwifi: mvm: add HE TB PPDU SIG-A BW to radiotap
    - iwlwifi: move config structs to C file
    - iwlwifi: mvm: add description to second BAD_COMMAND assert number
    - iwlwifi: mvm: don't hide HE radiotap data in SKB
    - iwlwifi: mvm: support absolute thresholds in bf configuration
    - iwlwifi: mvm: fix RSS config command
    - iwlwifi: dbg_ini: align struct iwl_fw_ini_region_cfg to the FW
    - iwlwifi: dbg_ini: create new dump flow and implement prph dump
    - iwlwifi: dbg_ini: implement csr memory dump
    - iwlwifi: dbg_ini: implement device internal memory dump
    - iwlwifi: dbg_ini: implement paging memory dump
    - iwlwifi: fix send hcmd timeout recovery flow
    - iwlwifi: refactor NIC init sequence
    - iwlwifi: implement BISR HW workaround for 22260 devices
    - iwlwifi: bump FW API to 45 for 9000 and 22000 series
    - iwlwifi: dvm: don't use IWL_DL_FW_ERRORS
    - iwlwifi: pcie: add TPT oriented prints
    - iwlwifi: dbg_ini: implement monitor sram memory dump
    - iwlwifi: mvm: don't require WOWLAN images when unified
    - iwlwifi: dbg_ini: implement monitor dram memory dump
    - iwlwifi: mvm: support FTM responder
    - iwlwifi: mvm: support FTM initiator
    - iwlwifi: mvm: clean up NO_PSDU case
    - iwlwifi: receive umac and lmac error table addresses from TLVs
    - iwlwifi: dbg_ini: rewrite trigger flow and align to FW API changes
    - iwlwifi: introduce device family AX210
    - iwlwifi: add FW recovery flow
    - iwlwifi: do not fail on large amount of channels
    - iwlwifi: mvm: Fix possible NULL pointer dereference
    - iwlwifi: mvm: support beacon IE injection
    - iwlwifi: bump FW API to 46 for 9000 and 22000 series
    - iwlwifi: pcie: fix TX while flushing
    - iwlwifi: mvm: add support for 32kHz external clock indication
    - iwlwifi: dbg: temporarily skip periphery dump for AX210 devices
    - iwlwifi: align to new periphery address space for AX210 family
    - iwlwifi: add force NMI for AX210 devices
    - iwlwifi: mvm: add a debug_enable op
    - iwiwifi: mvm: Fix FW scan concurrency support assumptions
    - iwlwifi: mvm: add support for new FTM fw API
    - iwlwifi: mvm: fix HE radiotap data4 for HE-TB PPDUs
    - iwlwifi: mvm: add debug prints for FTM
    - iwlwifi: start using B-step for some 9000 devices
    - iwlwifi: properly use delay option in dump trigger flow
    - iwlwifi: dbg_ini: enable ignore consecutive trigger feature
    - iwlwifi: mvm: fix the spatial reuse parsing for HE_TRIG PPDUs
    - iwlwifi: dbg: buffer overflow in non_collect_ts_start array
    - iwlwifi: mvm: Don't warn on command failure during restart
    - iwlwifi: mvm: Do not return an error value on HW restart
    - iwlwifi: dbg_ini: add early and after alive apply points to unified images
    - iwlwifi: mvm: stop static queues correctly
    - iwlwifi: pcie: allocate rb_stts's for all queues in one place
    - iwlwifi: mvm: Don't request HW restart if already requested
    - iwlwifi: fix false-positive maybe-uninitialized warning
    - iwlwifi: eeprom-parse: use struct_size() in kzalloc()
    - iwlwifi: nvm-parse: use struct_size() in kzalloc()
    - iwlwifi: mvm: fix error path in iwl_mvm_mac_setup_register()
    - iwlwifi: nvm-parse: advertise IEEE80211_VHT_EXT_NSS_BW_CAPABLE in VHT
    - iwlwifi: dvm: no need to check return value of debugfs_create functions
    - iwlwifi: fw: no need to check return value of debugfs_create functions
    - iwlwifi: iwl-drv: no need to check return value of debugfs_create functions
    - iwlwifi: mvm: reject new beacons when in inject mode
    - iwlwifi: mvm: add read debugfs for he_sniffer_params
    - iwlwifi: mvm: support non-transmitting AP
    - iwlwifi: mvm: Set TX_CMD_FLG_PROT_REQUIRE correctly
    - iwlwifi: mvm: remove IWL_MVM_INIT_STATUS_REG_HW_INIT_COMPLETE
    - iwlwifi: mvm: Allow retries for probe responses
    - iwlwifi: mvm: implement VHT extended NSS support in rs.c
    - iwlwifi: remove redundant condition from prior alive dump flow
    - iwlwifi: mvm: add some debug data to TX path
    - iwlwifi: dbg_ini: fix infinite time ignore consecutive dumps
    - iwlwifi: dbg_ini: add print to iwl_dump_ini_mem in case of invalid range
    - iwlwifi: dbg_ini: make memory dump get_size handler include headers
    - iwlwifi: dbg_ini: make fill_range handler accept generic range pointer
    - iwlwifi: dbg_ini: add region to fill_header handler
    - iwlwifi: dbg_ini: implement Tx fifos dump
    - iwlwifi: dbg_ini: implement Rx fifos dump
    - iwlwifi: add new cards for 22000 and killer series and change the market
      name
    - mac80211: update HE IEs to D3.3
    - iwlwifi: fix 64-bit division
    - iwlwifi: mvm: fix TX crypto on 22560+ devices
    - iwlwifi: add sync_nmi to trans ops
    - iwlwifi: dbg_ini: in case of region dump failure set memory to 0
    - iwlwifi: dbg_ini: fix bad dump size calculation
    - iwlwifi: use sync nmi in case of init flow failure
    - iwlwifi: rename structs to fit the new names
    - iwlwifi: add new 0x2723/0x2080 card for 22000
    - iwlwifi: mvm: avoid possible deadlock in TX path
    - iwlwifi: mvm: update offloaded rate control on changes
    - iwlwifi: add support for quz firmwares
    - iwlwifi: don't panic in error path on non-msix systems
    - iwlwifi: mvm: don't attempt debug collection in rfkill
    - iwlwifi: dbg_ini: check debug TLV type explicitly
    - iwlwifi: mvm: properly check debugfs dentry before using it
    - iwlwifi: cfg: use family 22560 based_params for AX210 family
    - iwlwifi: mvm: check for length correctness in iwl_mvm_create_skb()
    - iwlwifi: fix driver operation for 5350
    - iwlwifi: mvm: fix merge damage in iwl_mvm_vif_dbgfs_register()
    - SAUCE: iwlwifi: trans: fix killer series loadded incorrect firmware

  * [graphics] Enable ICL (LP: #1825940)
    - drm: Add the PSR SU granularity registers offsets
    - drm: Add color management LUT validation helper (v4)
    - drm: Add Y2xx and Y4xx (xx:10/12/16) format definitions and fourcc
    - drm/fourcc: Add 64 bpp half float formats
    - drm: Constify drm_color_lut_check()
    - drm/fourcc: Add new P010, P016 video format
    - drm/i915/psr: Don't tell sink that main link will be active while is active
      PSR2
    - drm/i915/psr: Set PSR CRC verification bit in sink inside PSR1 block
    - drm/i915/psr: Enable sink to trigger a interruption on PSR2 CRC mismatch
    - drm/i915/icl: Do not change reserved registers related to PSR2
    - drm/i915: Remove old PSR2 FIXME about frontbuffer tracking
    - drm/i915/psr: Check if resolution is supported by default SU granularity
    - drm/i915/psr: Check if source supports sink specific SU granularity
    - drm/i915: Rename IS_GEN to IS_GEN_RANGE
    - drm/i915: replace IS_GEN<N> with IS_GEN(..., N)
    - drm/i915: merge gen checks to use range
    - drm/i915/icl: Forcibly evict stale csb entries
    - drm/i915/selftests: Check we can recover a wedged device
    - drm/i915/selftests: Verify we can perform resets from atomic context
    - drm/i915/icl: Record the valid VDBoxes with SFC capability
    - drm/i915/icl: Mind the SFC units when resetting VD or VEBox engines
    - drm/i915/icl: Add a debug print for TypeC port disconnection
    - drm/i915/bios: Parse the VBT TypeC and Thunderbolt port flags
    - drm/i915/icl: Fix HPD handling for TypeC legacy ports
    - drm/i915/icl: Add fallback detection method for TypeC legacy ports
    - drm/i915: don't apply Display WAs 1125 and 1126 to GLK/CNL+
    - drm/i915/ddi: Move DDI port detection to the corresponding helper
    - drm/i915/icl: Detect port F presence via VBT
    - drm/i915/icl: Work around broken VBTs for port F detection
    - drm/i915: Limit the for_each_set_bit() to the valid range
    - drm/i915: Use b->irq_enable() as predicate for mock engine
    - drm/i915/icl: do a posting read after irq install
    - drm/i915: Validate userspace-provided color management LUT's (v4)
    - drm/i915: initialize unused MOCS entries to PTE
    - drm/i915: Simplify MOCS table definition
    - drm/i915/skl: Rework MOCS tables to keep common part in a define
    - drm/i915: use a macro to define MOCS entries
    - drm/i915: keep track of used entries in MOCS table
    - drm/i915: cache number of MOCS entries
    - drm/i915/icl: Define MOCS table for Icelake
    - drm/i915: small isolated c99 types to kernel types switch
    - drm/i915/crt: switch to kernel types
    - drm/i915/lspcon: switch to kernel types
    - drm/i915/debugfs: switch to kernel types
    - drm/i915/irq: switch to kernel types
    - drm/i915/cdclk: switch to kernel types
    - drm/i915/dpll_mgr: switch to kernel types
    - drm/i915/dp: switch to kernel types
    - drm/i915/sprite: switch to kernel types
    - drm/i915/icl: use tc_port in MG_PLL macros
    - drm/i915/ddi: switch to kernel types
    - drm/i915/icl: remove dpll from clk_sel
    - drm/i915/icl: keep track of unused pll while looping
    - drm/i915: Use explicit old crtc state in skl_compute_wm()
    - drm/i915: Remove bogus FIXME from SKL wm computation
    - drm/i915: Remove dead update_wm_pre assignment from SKL wm code
    - drm/i915: Use intel_ types more consistently for watermark code (v2)
    - drm/i915: Use intel_ types more consistently for color management code (v2)
    - drm/i915/hdmi: SCDC Scrambling enable without CTS mode
    - drm/i915: Don't use DDB allocation when choosing gen9 watermark method
    - drm/i915: Switch to level-based DDB allocation algorithm (v5)
    - drm/i915: DFSM pipe disable is valid from gen9 onwards (v2)
    - drm/i915: Don't forget to reset blocks when testing lower wm levels
    - drm/i915: Don't ignore level 0 lines watermark for glk+
    - drm/i915: Reinstate an early latency==0 check for skl+
    - drm/i915: Fix bits vs. bytes mixup in dbuf block size computation
    - drm/i915: Fix > vs >= mismatch in watermark/ddb calculations
    - drm/i915/pm: switch to kernel types
    - drm/i915/i915_drv.h: switch to kernel types
    - drm/i915: Account for minimum ddb allocation restrictions
    - drm/i915: Pass dev_priv to skl_needs_memory_bw_wa()
    - drm/i915: Drop the definite article in front of SAGV
    - drm/i915: Drop the pointless linetime==0 check
    - drm/i915: Use IS_GEN9_LP() for the linetime w/a check
    - drm/i915: Force background color to black for gen9+ (v2)
    - drm/i915: Restrict PSMI context load w/a to Haswell GT1
    - drm/i915: start moving runtime device info to a separate struct
    - drm/i915/reg: abstract display_mmio_offset access
    - drm/i915: pass dev_priv to intel_device_info_runtime_init()
    - drm/i915: Remove HW semaphores for gen7 inter-engine synchronisation
    - drm/i915: always use INTEL_INFO() to access device info
    - drm/i915: drop intel_device_info_dump()
    - drm/i915: rename dev_priv info to __info to avoid usage
    - drm/i915: Apply LUT validation checks to platforms more accurately (v3)
    - drm/i915: Don't use the second dbuf slice on icl
    - drm/i915: Pick the first unused PLL once again
    - drm/i915/icl: Add TypeC ports only if VBT is present
    - drm/i915: Move workaround infrastructure code up
    - drm/i915: Save some lines of source code in workarounds
    - drm/i915/icl: restore WaEnableFloatBlendOptimization
    - drm/i915/execlists: Move RPCS setup to context pin
    - drm/i915: Refactor out intel_context_init()
    - drm/i915: De-inline intel_context_init()
    - drm/i915: Record the sseu configuration per-context & engine
    - drm/i915/perf: lock powergating configuration to default when active
    - drm/i915: Push EMIT_INVALIDATE at request start to backends
    - drm/i915: Reduce i915_request_alloc retirement to local context
    - drm/i915: Add timeline barrier support
    - drm/i915: Expose RPCS (SSEU) configuration to userspace (Gen11 only)
    - drm/i915/selftests: Context SSEU reconfiguration tests
    - drm/i915: Fix wm latency==0 disable on skl+
    - drm/i915: Extract icl_set_pipe_chicken()
    - drm/i915: Setup PIPE_CHICKEN for fastsets too
    - drm/i915: Bump skl+ wm blocks to 11 bits
    - drm/i915: Just use icl+ definition for PLANE_WM blocks field
    - drm/i915/bios: assume eDP is present on port A when there is no VBT
    - drm/i915/icl: Fix VEBOX mismatch BUG_ON()
    - drm/i915/icl: Ungate ddi clocks before IO enable
    - drm/i915/icl: Fix port disable sequence for mipi-dsi
    - drm/i915: Don't set update_wm_post on g4x+
    - drm/i915: Split the gamma/csc enable bits from the plane_ctl() function
    - drm/i915: Precompute gamma_mode
    - drm/i915/color: switch to kernel types
    - drm/i915: Fix Cherryview oops on boot
    - drm/i915: Constify the state arguments to the color management stuff
    - drm/i915: Pull GAMMA_MODE write out from haswell_load_luts()
    - drm/i915: Split color mgmt based on single vs. double buffered registers
    - drm/i915: Move LUT programming to happen after vblank waits
    - drm/i915: Populate gamma_mode for all platforms
    - drm/i915: Track pipe gamma enable/disable in crtc state
    - drm/i915: Track pipe csc enable in crtc state
    - drm/i915: Turn off pipe gamma when it's not needed
    - drm/i915: Turn off pipe CSC when it's not needed
    - drm/i915: Clean up intel_plane_atomic_check_with_state()
    - drm/i915: Disable pipe gamma when C8 pixel format is used
    - drm/i915: Update DSPCNTR gamma/csc bits during crtc_enable()
    - drm/i915/glk: Fix degamma lut programming
    - drm/i915/icl: Add icl pipe degamma and gamma support
    - drm/i915/icl: Enable ICL Pipe CSC block
    - drm/i915/icl: Enable pipe output csc
    - drm/i915/icl: Add degamma and gamma lut size to gen11 caps
    - drm/i915: Make combo PHY DDI macro definitions consistent for ICL and CNL
    - drm/i915: Make MG PHY macros semantically consistent
    - drm/i915: Dump skl+ watermark changes
    - drm/i915: Include "ignore lines" in skl+ wm state
    - drm/i915: Implement new w/a for underruns with wm1+ disabled
    - drm/i915: Remove the "pf" crc source
    - drm/i915: Use named initializers for the crc source name array
    - drm/i915: Remove the broken DP CRC support for g4x
    - drm/i915: Extend skl+ crc sources with more planes
    - drm/i915/icl: Drop redundant gamma mode mask
    - drm/i915: Call MG_DP_MODE() macro with the right parameters order
    - drm/i915: Finalize Wa_1408961008:icl
    - drm/i915/icl: move MG pll hw_state readout
    - drm/i915: Fix the state checker for ICL Y planes
    - drm/i915: Add P010, P012, P016 plane control definitions
    - drm/i915/icl: Add Y2xx and Y4xx (xx:10/12/16) plane control definitions
    - drm/i915: Preparations for enabling P010, P012, P016 formats
    - drm/i915: Enable P010, P012, P016 formats for primary and sprite planes
    - drm/i915/icl: Enabling Y2xx and Y4xx (xx:10/12/16) formats for universal
      planes
    - drm/i915/icl: Default to Thread Group preemption for compute workloads
    - drm/i915/icl: Remove alpha support protection
    - drm/i915/icl: Prevent incorrect DBuf enabling
    - drm/i915/icl: Fix CRC mismatch error for DP link layer compliance
    - drm/i915: Store DIMM rank information as a number
    - drm/i915: Extract functions to derive SKL+ DIMM info
    - drm/i915: Polish skl_is_16gb_dimm()
    - drm/i915: Extract BXT DIMM helpers
    - drm/i915: Fix DRAM size reporting for BXT
    - drm/i915: Extract DIMM info on GLK too
    - drm/i915: Use dram_dimm_info more
    - drm/i915: Generalize intel_is_dram_symmetric()
    - drm/i914: s/l_info/dimm_l/ etc.
    - drm/i915: Clean up intel_get_dram_info() a bit
    - drm/i915: Extract DIMM info on cnl+
    - drm/i915: Read out memory type
    - drm/i915: Add new ICL PCI ID
    - drm/i915: Refactor icl_is_hdr_plane
    - drm/i915/icl: Implement half float formats
    - drm/i915: Fix legacy gamma mode for ICL
    - drm/i915: Turn off the CUS when turning off a HDR plane
    - drm/i915/vbt: Parse and use the new field with PSR2 TP2/3 wakeup time
    - drm/i915/psr: Move logic to get TPS registers values to another function
    - drm/i915/icl+: Always use TPS2 or TPS3 when exiting PSR1
    - drm/i915/skl: use previous pll hw readout
    - drm/i915/bxt: make bxt_calc_pll_link() similar to skl
    - drm/i915: Nuke icl_calc_dp_combo_pll_link()
    - drm/i915/cnl: use previous pll hw readout
    - drm/i915/icl: use previous pll hw readout
    - drm/i915/icl: reduce pll_id scope and use enum type
    - drm/i915/icl: split combo and mg pll enable
    - drm/i915/icl: split pll enable in three steps
    - drm/i915/icl: split combo and mg pll disable
    - drm/i915/icl: split combo and tbt pll funcs
    - drm/i915/icl: remove intel_dpll_is_combophy()
    - drm/i915: Readout and check csc_mode
    - drm/i915: Precompute/readout/check CHV CGM mode
    - drm/i915: Extract ilk_csc_limited_range()
    - drm/i915: Clean up ilk/icl pipe/output CSC programming
    - drm/i915: Extract ilk_csc_convert_ctm()
    - drm/i915: Clean the csc limited range/identity programming
    - drm/i915: Split ilk vs. icl csc matrix handling
    - drm/i915: Extract check_luts()
    - drm/i915/crt: split out intel_crt_present() to platform specific setup
    - drm/i915/lvds: only call intel_lvds_init() on platforms that might have LVDS
    - drm/i915/lvds: nuke intel_lvds_supported()
    - drm/i915/tv: only call intel_tv_init() on platforms that might have TV
    - drm/i915: rename has_edp_a() to ilk_has_edp_a()
    - drm/i915: Yet another if/else sort of newer to older platforms.
    - drm/i915/gen11+: First assume next platforms will inherit stuff
    - drm/i915: Turn intel_color_check() into a vfunc
    - drm/i915: Extract i9xx_color_check()
    - drm/i915: Extract chv_color_check()
    - drm/i915: Extract icl_color_check()
    - drm/i915: Extract glk_color_check()
    - drm/i915: Extract bdw_color_check()
    - drm/i915: Extract ilk_color_check()
    - drm/i915: Drop the pointless linear legacy LUT load on CHV
    - drm/i915: Skip the linear degamma LUT load on ICL+
    - drm/i915: Fix GCMAX color register programming
    - drm/i915: Program EXT2 GC MAX registers
    - drm/i915/icl: Handle rps interrupts without irq lock
    - drm/i915/icl: Don't warn on spurious interrupts
    - drm/i915: Use dedicated rc6 enabling sequence for gen11
    - drm/i915/icl: Apply a recommended rc6 threshold
    - drm/i915: introduce REG_BIT() and REG_GENMASK() to define register contents
    - drm/i915/icl: Enable media sampler powergate
    - drm/i915/icl: Disable video turbo mode for rp control
    - drm/i915: Use Engine1 instance for gen11 pm interrupts
    - drm/i915: Prepare for larger CSB status FIFO size
    - drm/i915/icl: Switch to using 12 deep CSB status FIFO
    - drm/i915: Suppress spurious combo PHY B warning
    - drm/i915: Disable read only ppgtt support for gen11
    - drm/i915/icl: Fix MG_DP_MODE() register programming
    - drm/i915: Fix ICL output CSC programming
    - drm/i915/icl: Whitelist GEN9_SLICE_COMMON_ECO_CHICKEN1
    - drm/i915: Don't pass crtc to intel_find_shared_dpll()
    - drm/i915: Don't pass crtc to intel_get_shared_dpll() and .get_dpll()
    - drm/i915: Pass crtc_state down to skl dpll funcs
    - drm/i915: Remove redundant on stack dpll_hw_state from skl_get_dpll()
    - drm/i915: Pass crtc_state down to bxt dpll funcs
    - drm/i915: Remove redundant on stack dpll_hw_state from bxt_get_dpll()
    - drm/i915: Pass crtc_state down to cnl dpll funcs
    - drm/i915: Remove redundant on stack dpll_hw_state from cnl_get_dpll()
    - drm/i915: Pass crtc_state down to icl dpll funcs
    - drm/i915: Remove redundant on stack dpll_hw_state from icl_get_dpll()
    - drm/i915: Fix readout for cnl DPLL kdiv==3
    - drm/i915: Remove the fragile array index -> link rate mapping

  * Miscellaneous Ubuntu changes
    - SAUCE: [Config-oem] Enable two platforms for snd_sof

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 12 Jun 2019 14:35:18 +0300

linux-oem-osp1 (5.0.0-1008.9) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1008.9 -proposed tracker (LP: #1829172)

  * [ICL] Enable intel_rapl driver for Icelake (LP: #1771252)
    - powercap: intel_rapl: add support for Jacobsville
    - powercap/intel_rapl: add Ice Lake mobile

  * Add support to Comet Lake LPSS (LP: #1830175)
    - mfd: intel-lpss: Add Intel Comet Lake PCI IDs

  * test_520_config_random_trust_cpu in ubuntu_qrt_kernel_security fail with
    B-OEM-OSP1 (LP: #1828173)
    - [Config]: enable CONFIG_RANDOM_TRUST_CPU

  * Miscellaneous Ubuntu changes
    - [Config] Sync changes with master

  [ Ubuntu: 5.0.0-16.17 ]

  * linux: 5.0.0-16.17 -proposed tracker (LP: #1829173)
  * shiftfs: lock security sensitive superblock flags (LP: #1827122)
    - SAUCE: shiftfs: lock down certain superblock flags
  * Please package libbpf (which is done out of the kernel src) in Debian [for
    19.10] (LP: #1826410)
    - SAUCE: tools -- fix add ability to disable libbfd
  * Disco update: 5.0.8 upstream stable release (LP: #1828415)
    - drm/i915/gvt: do not let pin count of shadow mm go negative
    - kbuild: pkg: use -f $(srctree)/Makefile to recurse to top Makefile
    - netfilter: nft_compat: use .release_ops and remove list of extension
    - netfilter: nf_tables: use-after-free in dynamic operations
    - netfilter: nf_tables: add missing ->release_ops() in error path of newrule()
    - hv_netvsc: Fix unwanted wakeup after tx_disable
    - ibmvnic: Fix completion structure initialization
    - ip6_tunnel: Match to ARPHRD_TUNNEL6 for dev type
    - ipv6: Fix dangling pointer when ipv6 fragment
    - ipv6: sit: reset ip header pointer in ipip6_rcv
    - kcm: switch order of device registration to fix a crash
    - net: ethtool: not call vzalloc for zero sized memory request
    - net-gro: Fix GRO flush when receiving a GSO packet.
    - net/mlx5: Decrease default mr cache size
    - netns: provide pure entropy for net_hash_mix()
    - net: rds: force to destroy connection if t_sock is NULL in
      rds_tcp_kill_sock().
    - net/sched: act_sample: fix divide by zero in the traffic path
    - net/sched: fix ->get helper of the matchall cls
    - qmi_wwan: add Olicard 600
    - r8169: disable ASPM again
    - sctp: initialize _pad of sockaddr_in before copying to user memory
    - tcp: Ensure DCTCP reacts to losses
    - tcp: fix a potential NULL pointer dereference in tcp_sk_exit
    - vrf: check accept_source_route on the original netdevice
    - net/mlx5e: Fix error handling when refreshing TIRs
    - net/mlx5e: Add a lock on tir list
    - nfp: validate the return code from dev_queue_xmit()
    - nfp: disable netpoll on representors
    - bnxt_en: Improve RX consumer index validity check.
    - bnxt_en: Reset device on RX buffer errors.
    - net: ip_gre: fix possible use-after-free in erspan_rcv
    - net: ip6_gre: fix possible use-after-free in ip6erspan_rcv
    - net: bridge: always clear mcast matching struct on reports and leaves
    - net: thunderx: fix NULL pointer dereference in nicvf_open/nicvf_stop
    - net: vrf: Fix ping failed when vrf mtu is set to 0
    - net: core: netif_receive_skb_list: unlist skb before passing to pt->func
    - r8169: disable default rx interrupt coalescing on RTL8168
    - net: mlx5: Add a missing check on idr_find, free buf
    - net/mlx5e: Update xoff formula
    - net/mlx5e: Update xon formula
    - kbuild: clang: choose GCC_TOOLCHAIN_DIR not on LD
    - lib/string.c: implement a basic bcmp
    - Revert "clk: meson: clean-up clock registration"
    - tty: mark Siemens R3964 line discipline as BROKEN
    - [Config]: remove CONFIG_R3964
    - [Config]: add CONFIG_LDISC_AUTOLOAD=y
    - tty: ldisc: add sysctl to prevent autoloading of ldiscs
    - hwmon: (w83773g) Select REGMAP_I2C to fix build error
    - hwmon: (occ) Fix power sensor indexing
    - SMB3: Allow persistent handle timeout to be configurable on mount
    - HID: logitech: Handle 0 scroll events for the m560
    - ACPICA: Clear status of GPEs before enabling them
    - ACPICA: Namespace: remove address node from global list after method
      termination
    - ALSA: seq: Fix OOB-reads from strlcpy
    - ALSA: hda/realtek: Enable headset MIC of Acer TravelMate B114-21 with ALC233
    - ALSA: hda/realtek - Add quirk for Tuxedo XC 1509
    - ALSA: xen-front: Do not use stream buffer size before it is set
    - mm/huge_memory.c: fix modifying of page protection by insert_pfn_pmd()
    - arm64: dts: rockchip: fix rk3328 sdmmc0 write errors
    - mmc: alcor: don't write data before command has completed
    - mmc: sdhci-omap: Don't finish_mrq() on a command error during tuning
    - parisc: Detect QEMU earlier in boot process
    - parisc: regs_return_value() should return gpr28
    - parisc: also set iaoq_b in instruction_pointer_set()
    - alarmtimer: Return correct remaining time
    - drm/i915/gvt: do not deliver a workload if its creation fails
    - drm/sun4i: DW HDMI: Lower max. supported rate for H6
    - drm/udl: add a release method and delay modeset teardown
    - kvm: svm: fix potential get_num_contig_pages overflow
    - include/linux/bitrev.h: fix constant bitrev
    - mm: writeback: use exact memcg dirty counts
    - ASoC: intel: Fix crash at suspend/resume after failed codec registration
    - ASoC: fsl_esai: fix channel swap issue when stream starts
    - Btrfs: do not allow trimming when a fs is mounted with the nologreplay
      option
    - btrfs: prop: fix zstd compression parameter validation
    - btrfs: prop: fix vanished compression property after failed set
    - riscv: Fix syscall_get_arguments() and syscall_set_arguments()
    - block: Revert v5.0 blk_mq_request_issue_directly() changes
    - block: do not leak memory in bio_copy_user_iov()
    - block: fix the return errno for direct IO
    - genirq: Respect IRQCHIP_SKIP_SET_WAKE in irq_chip_set_wake_parent()
    - genirq: Initialize request_mutex if CONFIG_SPARSE_IRQ=n
    - virtio: Honour 'may_reduce_num' in vring_create_virtqueue
    - ARM: OMAP1: ams-delta: Fix broken GPIO ID allocation
    - ARM: dts: rockchip: fix rk3288 cpu opp node reference
    - ARM: dts: am335x-evmsk: Correct the regulators for the audio codec
    - ARM: dts: am335x-evm: Correct the regulators for the audio codec
    - ARM: dts: rockchip: Fix SD card detection on rk3288-tinker
    - ARM: dts: at91: Fix typo in ISC_D0 on PC9
    - arm64: futex: Fix FUTEX_WAKE_OP atomic ops with non-zero result value
    - arm64: dts: rockchip: Fix vcc_host1_5v GPIO polarity on rk3328-rock64
    - arm64: dts: rockchip: fix rk3328 rgmii high tx error rate
    - arm64: backtrace: Don't bother trying to unwind the userspace stack
    - IB/mlx5: Reset access mask when looping inside page fault handler
    - xen: Prevent buffer overflow in privcmd ioctl
    - sched/fair: Do not re-read ->h_load_next during hierarchical load
      calculation
    - xtensa: fix return_address
    - csky: Fix syscall_get_arguments() and syscall_set_arguments()
    - x86/asm: Remove dead __GNUC__ conditionals
    - x86/asm: Use stricter assembly constraints in bitops
    - x86/perf/amd: Resolve race condition when disabling PMC
    - x86/perf/amd: Resolve NMI latency issues for active PMCs
    - x86/perf/amd: Remove need to check "running" bit in NMI handler
    - PCI: Add function 1 DMA alias quirk for Marvell 9170 SATA controller
    - PCI: pciehp: Ignore Link State Changes after powering off a slot
    - xprtrdma: Fix helper that drains the transport
    - powerpc/64s/radix: Fix radix segment exception handling
    - dm integrity: change memcmp to strncmp in dm_integrity_ctr
    - dm: revert 8f50e358153d ("dm: limit the max bio size as BIO_MAX_PAGES *
      PAGE_SIZE")
    - dm table: propagate BDI_CAP_STABLE_WRITES to fix sporadic checksum errors
    - dm: disable DISCARD if the underlying storage no longer supports it
    - dm integrity: fix deadlock with overlapping I/O
    - drm/virtio: do NOT reuse resource ids
    - Linux 5.0.8
  * Disco update: 5.0.7 upstream stable release (LP: #1828410)
    - ext4: cleanup bh release code in ext4_ind_remove_space()
    - CIFS: fix POSIX lock leak and invalid ptr deref
    - nvme-fc: fix numa_node when dev is null
    - nvme-loop: init nvmet_ctrl fatal_err_work when allocate
    - h8300: use cc-cross-prefix instead of hardcoding h8300-unknown-linux-
    - f2fs: fix to adapt small inline xattr space in __find_inline_xattr()
    - f2fs: fix to avoid deadlock in f2fs_read_inline_dir()
    - tracing: kdb: Fix ftdump to not sleep
    - net/mlx5e: Fix access to non-existing receive queue
    - net/mlx5: Avoid panic when setting vport rate
    - net/mlx5: Avoid panic when setting vport mac, getting vport config
    - xsk: fix to reject invalid flags in xsk_bind
    - clk: ti: clkctrl: Fix clkdm_name regression for TI_CLK_CLKCTRL_COMPAT
    - gpio: gpio-omap: fix level interrupt idling
    - include/linux/relay.h: fix percpu annotation in struct rchan
    - sysctl: handle overflow for file-max
    - net: stmmac: Avoid sometimes uninitialized Clang warnings
    - enic: fix build warning without CONFIG_CPUMASK_OFFSTACK
    - libbpf: force fixdep compilation at the start of the build
    - iio: adc: fix warning in Qualcomm PM8xxx HK/XOADC driver
    - x86/hyperv: Fix kernel panic when kexec on HyperV
    - perf c2c: Fix c2c report for empty numa node
    - mm/sparse: fix a bad comparison
    - mm/cma.c: cma_declare_contiguous: correct err handling
    - mm/page_ext.c: fix an imbalance with kmemleak
    - mm, swap: bounds check swap_info array accesses to avoid NULL derefs
    - docs/core-api/mm: fix user memory accessors formatting
    - mm,oom: don't kill global init via memory.oom.group
    - memcg: killed threads should not invoke memcg OOM killer
    - mm, mempolicy: fix uninit memory access
    - mm/vmalloc.c: fix kernel BUG at mm/vmalloc.c:512!
    - mm/slab.c: kmemleak no scan alien caches
    - ocfs2: fix a panic problem caused by o2cb_ctl
    - f2fs: do not use mutex lock in atomic context
    - f2fs: fix to data block override node segment by mistake
    - fs/file.c: initialize init_files.resize_wait
    - page_poison: play nicely with KASAN
    - kasan: fix kasan_check_read/write definitions
    - cifs: use correct format characters
    - dm thin: add sanity checks to thin-pool and external snapshot creation
    - f2fs: fix to check inline_xattr_size boundary correctly
    - cifs: Accept validate negotiate if server return NT_STATUS_NOT_SUPPORTED
    - cifs: Fix NULL pointer dereference of devname
    - perf beauty msg_flags: Add missing %s lost when adding prefix suppression
      logic
    - netfilter: nf_tables: check the result of dereferencing base_chain->stats
    - PCI: mediatek: Fix memory mapped IO range size computation
    - netfilter: conntrack: tcp: only close if RST matches exact sequence
    - iommu/vt-d: Disable ATS support on untrusted devices
    - jbd2: fix invalid descriptor block checksum
    - ext4: fix bigalloc cluster freeing when hole punching under load
    - fs: fix guard_bio_eod to check for real EOD errors
    - tools lib traceevent: Fix buffer overflow in arg_eval
    - mm/resource: Return real error codes from walk failures
    - PCI/PME: Fix hotplug/sysfs remove deadlock in pcie_pme_remove()
    - wil6210: check null pointer in _wil_cfg80211_merge_extra_ies
    - mt76: fix a leaked reference by adding a missing of_node_put
    - ath10k: Fix the wrong updation of BW in tx_stats debugfs entry
    - lockdep/lib/tests: Fix run_tests.sh
    - crypto: crypto4xx - add missing of_node_put after of_device_is_available
    - crypto: cavium/zip - fix collision with generic cra_driver_name
    - tools/bpf: selftests: add map lookup to test_map_in_map bpf prog
    - usb: chipidea: Grab the (legacy) USB PHY by phandle first
    - powerpc/powernv/ioda: Fix locked_vm counting for memory used by IOMMU tables
    - scsi: core: replace GFP_ATOMIC with GFP_KERNEL in scsi_scan.c
    - kbuild: invoke syncconfig if include/config/auto.conf.cmd is missing
    - kbuild: make -r/-R effective in top Makefile for old Make versions
    - btrfs: save drop_progress if we drop refs at all
    - drm/amd/display: Fix reference counting for struct dc_sink.
    - ath10k: don't report unset rssi values to mac80211
    - powerpc/xmon: Fix opcode being uninitialized in print_insn_powerpc
    - coresight: etm4x: Add support to enable ETMv4.2
    - serial: 8250_pxa: honor the port number from devicetree
    - ARM: 8840/1: use a raw_spinlock_t in unwind
    - ARM: 8845/1: use unified assembler in c files
    - iommu/io-pgtable-arm-v7s: Only kmemleak_ignore L2 tables
    - powerpc/hugetlb: Handle mmap_min_addr correctly in get_unmapped_area
      callback
    - net: dsa: mv88e6xxx: Default CMODE to 1000BaseX only on 6390X
    - ice: fix ice_remove_rule_internal vsi_list handling
    - perf script: Handle missing fields with -F +..
    - btrfs: qgroup: Make qgroup async transaction commit more aggressive
    - btrfs: don't enospc all tickets on flush failure
    - mmc: omap: fix the maximum timeout setting
    - net: dsa: mv88e6xxx: Add lockdep classes to fix false positive splat
    - veth: Fix -Wformat-truncation
    - e1000e: Fix -Wformat-truncation warnings
    - mlxsw: spectrum: Avoid -Wformat-truncation warnings
    - i2c: Allow recovery of the initial IRQ by an I2C client device.
    - platform/x86: ideapad-laptop: Fix no_hw_rfkill_list for Lenovo RESCUER
      R720-15IKBN
    - platform/mellanox: mlxreg-hotplug: Fix KASAN warning
    - loop: set GENHD_FL_NO_PART_SCAN after blkdev_reread_part()
    - i2c: designware: Do not allow i2c_dw_xfer() calls while suspended
    - IB/mlx4: Increase the timeout for CM cache
    - clk: fractional-divider: check parent rate only if flag is set
    - perf annotate: Fix getting source line failure
    - powerpc/44x: Force PCI on for CURRITUCK
    - ASoC: qcom: Fix of-node refcount unbalance in qcom_snd_parse_of()
    - cpufreq: acpi-cpufreq: Report if CPU doesn't support boost technologies
    - efi: cper: Fix possible out-of-bounds access
    - s390/ism: ignore some errors during deregistration
    - scsi: megaraid_sas: return error when create DMA pool failed
    - scsi: fcoe: make use of fip_mode enum complete
    - drm/amd/display: Clear stream->mode_changed after commit
    - perf test: Fix failure of 'evsel-tp-sched' test on s390
    - mwifiex: don't advertise IBSS features without FW support
    - perf report: Don't shadow inlined symbol with different addr range
    - SoC: imx-sgtl5000: add missing put_device()
    - media: ov7740: fix runtime pm initialization
    - media: sh_veu: Correct return type for mem2mem buffer helpers
    - media: s5p-jpeg: Correct return type for mem2mem buffer helpers
    - media: rockchip/rga: Correct return type for mem2mem buffer helpers
    - media: s5p-g2d: Correct return type for mem2mem buffer helpers
    - media: mx2_emmaprp: Correct return type for mem2mem buffer helpers
    - media: mtk-jpeg: Correct return type for mem2mem buffer helpers
    - media: rockchip/vpu: Correct return type for mem2mem buffer helpers
    - mt76: usb: do not run mt76u_queues_deinit twice
    - gpio: of: Apply regulator-gpio quirk only to enable-gpios
    - xen/gntdev: Do not destroy context while dma-bufs are in use
    - vfs: fix preadv64v2 and pwritev64v2 compat syscalls with offset == -1
    - HID: intel-ish-hid: avoid binding wrong ishtp_cl_device
    - cgroup, rstat: Don't flush subtree root unless necessary
    - efi: Fix build error due to enum collision between efi.h and ima.h
    - drm/sched: Fix entities with 0 rqs.
    - regulator: core: Take lock before applying system load
    - jbd2: fix race when writing superblock
    - leds: lp55xx: fix null deref on firmware load failure
    - tools build: Add -lrt to FEATURE_CHECK_LDFLAGS-libaio
    - tools build: Add test-reallocarray.c to test-all.c to fix the build
    - perf beauty waitid options: Fix up prefix showing logic
    - perf trace: Check if the 'fd' is negative when mapping it to pathname
    - perf report: Add s390 diagnosic sampling descriptor size
    - perf coresight: Do not test for libopencsd by default
    - iwlwifi: pcie: fix emergency path
    - ACPI / video: Refactor and fix dmi_is_desktop()
    - selftests: ir: fix warning: "%s" directive output may be truncated ’
      directive output may be truncated
    - selftests: skip seccomp get_metadata test if not real root
    - kprobes: Prohibit probing on bsearch()
    - kprobes: Prohibit probing on RCU debug routine
    - netfilter: conntrack: fix cloned unconfirmed skb->_nfct race in
      __nf_conntrack_confirm
    - ARM: 8833/1: Ensure that NEON code always compiles with Clang
    - ARM: dts: meson8b: fix the Ethernet data line signals in eth_rgmii_pins
    - ALSA: PCM: check if ops are defined before suspending PCM
    - ath10k: fix shadow register implementation for WCN3990
    - usb: f_fs: Avoid crash due to out-of-scope stack ptr access
    - sched/topology: Fix percpu data types in struct sd_data & struct s_data
    - bcache: fix input overflow to cache set sysfs file io_error_halflife
    - bcache: fix input overflow to sequential_cutoff
    - bcache: fix potential div-zero error of writeback_rate_i_term_inverse
    - bcache: improve sysfs_strtoul_clamp()
    - genirq: Avoid summation loops for /proc/stat
    - net: marvell: mvpp2: fix stuck in-band SGMII negotiation
    - iw_cxgb4: fix srqidx leak during connection abort
    - net: phy: consider latched link-down status in polling mode
    - fbdev: fbmem: fix memory access if logo is bigger than the screen
    - cdrom: Fix race condition in cdrom_sysctl_register
    - drm: rcar-du: add missing of_node_put
    - drm/amd/display: Don't re-program planes for DPMS changes
    - bpf: test_maps: fix possible out of bound access warning
    - x86/kexec: Fill in acpi_rsdp_addr from the first kernel
    - powerpc/ptrace: Mitigate potential Spectre v1
    - drm/amd/display: Disconnect mpcc when changing tg
    - perf/aux: Make perf_event accessible to setup_aux()
    - e1000e: fix cyclic resets at link up with active tx
    - e1000e: Exclude device from suspend direct complete optimization
    - platform/x86: intel_pmc_core: Fix PCH IP sts reading
    - i2c: of: Try to find an I2C adapter matching the parent
    - staging: spi: mt7621: Add return code check on device_reset()
    - iwlwifi: mvm: fix RFH config command with >=10 CPUs
    - ASoC: fsl-asoc-card: fix object reference leaks in fsl_asoc_card_probe
    - sched/debug: Initialize sd_sysctl_cpus if !CONFIG_CPUMASK_OFFSTACK
    - efi/memattr: Don't bail on zero VA if it equals the region's PA
    - sched/core: Use READ_ONCE()/WRITE_ONCE() in
      move_queued_task()/task_rq_lock()
    - drm/vkms: Bugfix racing hrtimer vblank handle
    - drm/vkms: Bugfix extra vblank frame
    - ARM: dts: lpc32xx: Remove leading 0x and 0s from bindings notation
    - soc: qcom: gsbi: Fix error handling in gsbi_probe()
    - drm/msm/dpu: Convert to a chained irq chip
    - mt7601u: bump supported EEPROM version
    - ARM: 8830/1: NOMMU: Toggle only bits in EXC_RETURN we are really care of
    - ARM: avoid Cortex-A9 livelock on tight dmb loops
    - block, bfq: fix in-service-queue check for queue merging
    - block, bfq: fix queue removal from weights tree
    - bpf: fix missing prototype warnings
    - selftests/bpf: skip verifier tests for unsupported program types
    - powerpc/64s: Clear on-stack exception marker upon exception return
    - cgroup/pids: turn cgroup_subsys->free() into cgroup_subsys->release() to fix
      the accounting
    - backlight: pwm_bl: Use gpiod_get_value_cansleep() to get initial state
    - tty: increase the default flip buffer limit to 2*640K
    - powerpc/pseries: Perform full re-add of CPU for topology update post-
      migration
    - drm/amd/display: Enable vblank interrupt during CRC capture
    - ALSA: dice: add support for Solid State Logic Duende Classic/Mini
    - regulator: mcp16502: Include linux/gpio/consumer.h to fix build error
    - usb: dwc3: gadget: Fix OTG events when gadget driver isn't loaded
    - platform/x86: intel-hid: Missing power button release on some Dell models
    - perf trace: Fixup etcsnoop example
    - perf script python: Use PyBytes for attr in trace-event-python
    - perf script python: Add trace_context extension module to sys.modules
    - media: mt9m111: set initial frame size other than 0x0
    - hwrng: virtio - Avoid repeated init of completion
    - soc/tegra: fuse: Fix illegal free of IO base address
    - selftests/bpf: suppress readelf stderr when probing for BTF support
    - HID: intel-ish: ipc: handle PIMR before ish_wakeup also clear PISR
      busy_clear bit
    - f2fs: UBSAN: set boolean value iostat_enable correctly
    - f2fs: fix to initialize variable to avoid UBSAN/smatch warning
    - hpet: Fix missing '=' character in the __setup() code of hpet_mmap_enable
    - pinctrl: meson: fix G12A ao pull registers base address
    - pinctrl: sh-pfc: r8a77990: Fix MOD_SEL bit numbering
    - pinctrl: sh-pfc: r8a77995: Fix MOD_SEL bit numbering
    - cpu/hotplug: Mute hotplug lockdep during init
    - dmaengine: imx-dma: fix warning comparison of distinct pointer types
    - dmaengine: qcom_hidma: assign channel cookie correctly
    - dmaengine: qcom_hidma: initialize tx flags in hidma_prep_dma_*
    - netfilter: physdev: relax br_netfilter dependency
    - media: rcar-vin: Allow independent VIN link enablement
    - media: s5p-jpeg: Check for fmt_ver_flag when doing fmt enumeration
    - PCI: pciehp: Assign ctrl->slot_ctrl before writing it to hardware
    - audit: hand taken context to audit_kill_trees for syscall logging
    - regulator: act8865: Fix act8600_sudcdc_voltage_ranges setting
    - pinctrl: meson: meson8b: add the eth_rxd2 and eth_rxd3 pins
    - drm: Auto-set allow_fb_modifiers when given modifiers at plane init
    - drm/nouveau: Stop using drm_crtc_force_disable
    - x86/build: Specify elf_i386 linker emulation explicitly for i386 objects
    - selinux: do not override context on context mounts
    - brcmfmac: Use firmware_request_nowarn for the clm_blob
    - wlcore: Fix memory leak in case wl12xx_fetch_firmware failure
    - x86/build: Mark per-CPU symbols as absolute explicitly for LLD
    - drm/fb-helper: fix leaks in error path of drm_fb_helper_fbdev_setup
    - clk: meson: clean-up clock registration
    - ARM: shmobile: Fix R-Car Gen2 regulator quirk
    - clk: rockchip: fix frac settings of GPLL clock for rk3328
    - dmaengine: tegra: avoid overflow of byte tracking
    - staging: iio: adt7316: fix dac_bits assignment
    - Input: soc_button_array - fix mapping of the 5th GPIO in a PNP0C40 device
    - ASoC: simple-card-utils: check "reg" property on
      asoc_simple_card_get_dai_id()
    - drm: Reorder set_property_atomic to avoid returning with an active ww_ctx
    - drm/dp/mst: Configure no_stop_bit correctly for remote i2c xfers
    - net: stmmac: Avoid one more sometimes uninitialized Clang warning
    - appletalk: Fix compile regression
    - gpio: of: Restrict enable-gpio quirk to regulator-gpio
    - ACPI / video: Extend chassis-type detection with a "Lunch Box" check
    - bcache: fix potential div-zero error of writeback_rate_p_term_inverse
    - kbuild: add workaround for Debian make-kpkg
    - kbuild: skip sub-make for in-tree build with GNU Make 4.x
    - Linux 5.0.7
  * enabling ftrace on Hi1620 CS causes an Oops (LP: #1822871)
    - arm64/ftrace: fix inadvertent BUG() in trampoline check
    - arm64/module: ftrace: deal with place relative nature of PLTs
  * The noise keeps occurring when Headset is plugged in on a Dell machine
    (LP: #1827972)
    - ALSA: hda/realtek - Fixed Dell AIO speaker noise
  * CONFIG_LOG_BUF_SHIFT set to 14 is too low on arm64 (LP: #1824864)
    - [Config] CONFIG_LOG_BUF_SHIFT=18 on all 64bit arches
  * There are 4 HDMI/Displayport audio output listed in sound setting without
    attach any HDMI/DP monitor (LP: #1827967)
    - ALSA: hda/hdmi - Read the pin sense from register when repolling
    - ALSA: hda/hdmi - Consider eld_valid when reporting jack event
  * Headphone jack switch sense is inverted: plugging in headphones disables
    headphone output (LP: #1824259)
    - ASoC: rt5645: Headphone Jack sense inverts on the LattePanda board
  * ratelimit cma_alloc messages (LP: #1828092)
    - SAUCE: cma: ratelimit cma_alloc error messages
  * linux-buildinfo: pull out ABI information into its own package
    (LP: #1806380)
    - [Packaging] autoreconstruct -- base tag is always primary mainline version
  * CTAUTO:DevOps:860.50:devops4fp1:Error occurred during LINUX Dmesg error
    Checking for all LINUX clients for devops4p10 (LP: #1766201)
    - SAUCE: integrity: downgrade error to warning
  * False positive test result in run_netsocktests from net in
    ubuntu_kernel_selftest (LP: #1825777)
    - selftests/net: correct the return value for run_netsocktests

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Sun, 26 May 2019 21:58:42 +0300

linux-oem-osp1 (5.0.0-1007.8) bionic; urgency=medium


  [ Ubuntu: 5.0.0-15.16 ]

  * CVE-2019-11683
    - udp: fix GRO reception in case of length mismatch
    - udp: fix GRO packet of death
  * CVE-2018-12126 // CVE-2018-12127 // CVE-2018-12130
    - x86/msr-index: Cleanup bit defines
    - x86/speculation: Consolidate CPU whitelists
    - x86/speculation/mds: Add basic bug infrastructure for MDS
    - x86/speculation/mds: Add BUG_MSBDS_ONLY
    - x86/kvm: Expose X86_FEATURE_MD_CLEAR to guests
    - x86/speculation/mds: Add mds_clear_cpu_buffers()
    - x86/speculation/mds: Clear CPU buffers on exit to user
    - x86/kvm/vmx: Add MDS protection when L1D Flush is not active
    - x86/speculation/mds: Conditionally clear CPU buffers on idle entry
    - x86/speculation/mds: Add mitigation control for MDS
    - x86/speculation/mds: Add sysfs reporting for MDS
    - x86/speculation/mds: Add mitigation mode VMWERV
    - Documentation: Move L1TF to separate directory
    - Documentation: Add MDS vulnerability documentation
    - x86/speculation/mds: Add mds=full,nosmt cmdline option
    - x86/speculation: Move arch_smt_update() call to after mitigation decisions
    - x86/speculation/mds: Add SMT warning message
    - x86/speculation/mds: Fix comment
    - x86/speculation/mds: Print SMT vulnerable on MSBDS with mitigations off
    - x86/speculation/mds: Add 'mitigations=' support for MDS
  * CVE-2017-5715 // CVE-2017-5753
    - s390/speculation: Support 'mitigations=' cmdline option
  * CVE-2017-5715 // CVE-2017-5753 // CVE-2017-5754 // CVE-2018-3639
    - powerpc/speculation: Support 'mitigations=' cmdline option
  * CVE-2017-5715 // CVE-2017-5754 // CVE-2018-3620 // CVE-2018-3639 //
    CVE-2018-3646
    - cpu/speculation: Add 'mitigations=' cmdline option
    - x86/speculation: Support 'mitigations=' cmdline option
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 07 May 2019 16:55:07 +0200

linux-oem-osp1 (5.0.0-1006.7) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1006.7 -proposed tracker (LP: #1827847)

  * Add DMIC support to oem-kernel (LP: #1826181)
    - ASoC: dmic: declare trigger function as static
    - ASoC: soc-core: remove error due to probe deferral
    - ASoC: soc-core: add .num_platform for dai_link
    - ASoC: soc-core: add new snd_soc_flush_all_delayed_work()
    - ASoC: soc-core: merge card resources cleanup method
    - ASoC: soc-core: reduce if/else nest on soc_probe_link_dais
    - ASoC: soc-core: add soc_cleanup_component()
    - ASoC: soc-core: use for_each_link_codecs() for dai_link codecs
    - ASoC: core: Fix multi-CODEC setups
    - ASoC: soc-core: use for_each_link_codecs() for dai_link codecs V2
    - ASoC: soc-acpi: add static inline fallbacks when CONFIG_ACPI=n
    - ASoC: add helper to change platform name for all dailinks
    - ASoC: topology: Reduce number of dereferences when accessing dobj
    - ASoC: topology: Remove widgets from dobj list
    - ASoC: topology: Fix memory leak from soc_tplg_denum_create_texts
    - ASoC: topology: fix memory leak in soc_tplg_dapm_widget_create
    - ASoC: topology: add SND_SOC_DOBJ_GRAPH type for dapm routes
    - ASoC: topology: modify dapm route loading routine and add dapm route
      unloading
    - ASoC: dapm: fix use-after-free issue with dailink sname
    - ASoC: dapm: Only power up active channels from a DAI
    - ASoC: dapm: Add warnings for widget overwrite when adding route
    - ASoC: soc-core: clear platform pointers on error
    - ASoC: topology: unload physical dai link in remove
    - ASoC: dapm: Check for NULL widget in dapm_update_dai_unlocked
    - ASoC: compress: Clarify the intent of current compressed ops handling
    - ASoC: compress: Add helper functions for component trigger/set_params
    - ASoC: dapm: harden use of lookup tables
    - ASoC: regulator notifier registration should be managed
    - ASoC: core: don't increase component module refcount unconditionally
    - ASoC: Intel: Skylake: set .ignore_module_refcount field in component
    - ASoC: hdac_hdmi: use devm_kzalloc for all structures
    - ASoC: dmaengine: Improve of_node test in dmaengine_pcm_request_chan_of()
    - ASoC: dmaengine: Extend use of chan_names provided in custom DMA config
    - ASoC: Intel: bxt-match: remove prefix for SOF files
    - ASoC: Intel: byt-match.c: remove prefix for SOF files
    - ASoC: Intel: cht-match: remove prefix for SOF files
    - ASoC: Intel: cnl-match: remove prefix for SOF files
    - ASoC: Intel: glk-match: remove prefix for SOF files
    - ASoC: Intel: hda-match: remove prefix for SOF files
    - ASoC: Intel: hsw-bdw-match: remove prefix for SOF files
    - ASoC: Intel: icl-match: remove prefix for SOF files
    - ASoC: dmaengine: Remove unused SND_DMAENGINE_PCM_FLAG_CUSTOM_CHANNEL_NAME
      flag
    - ASoC: dapm: Potential small memory leak in dapm_cnew_widget()
    - ASoC: soc-core: Fix probe deferral following prelink failure
    - ALSA: PCM: check if ops are defined before suspending PCM
    - ALSA: hda: Fix a mask wrong issue in snd_hdac_stream_start()
    - ALSA: hda: Fix mismatches for register mask and value in hdac controller
    - ALSA: hda: add verbs for stripe control
    - ALSA: hda: Add api to program stripe control bits
    - ALSA: hda: add register offset for stripe control
    - ALSA: hda: program stripe bits for controller
    - ALSA: pcm: Suspend streams globally via device type PM ops
    - ALSA: pcm: Make snd_pcm_suspend() local static
    - ALSA: pcm: Call snd_card_unref() inside in_pcm_file()
    - ALSA: pcm: Unify snd_pcm_group initialization
    - ALSA: pcm: Make PCM linked list consistent while re-grouping
    - ALSA: pcm: Avoid confusing loop in snd_pcm_unlink()
    - ALSA: pcm: More fine-grained PCM link locking
    - ALSA: pcm: Remove down_write() hack for snd_pcm_link_rwsem
    - ALSA: pcm: Cleanup snd_pcm_stream_lock() & co
    - ALSA: pcm: Drop unused snd_pcm_substream.file field
    - ALSA: pcm: Simplify proc file destruction
    - ALSA: proc: Avoid possible leaks of snd_info_entry objects
    - ALSA: pcm: Use the common error path in __snd_pcm_lib_xfer()
    - ALSA: pcm: remove a superfluous function declaration
    - ALSA: isa: Avoid passing NULL to memory allocators
    - ALSA: core: Don't allow NULL device for memory allocation
    - ALSA: info: Always register entries recursively
    - ALSA: pcm: Remove superfluous snd_info_register() calls
    - ALSA: compress: Remove superfluous snd_info_register() calls
    - ALSA: info: Add standard helpers for card proc file entries
    - ALSA: info: Drop unused snd_info_entry.card field
    - ALSA: info: Minor optimization
    - ALSA: info: Move card id proc creation into info.c
    - ASoC: intel: Drop superfluous PCM preallocation error checks
    - ASoC: dmaengine: Drop superfluous PCM preallocation error checks
    - ALSA: pcm: Define snd_pcm_lib_preallocate_*() as returning void
    - component: Add documentation
    - components: multiple components for a device
    - i915/snd_hdac: I915 subcomponent for the snd_hdac
    - ALSA: pcm: Comment why read blocks when PCM is not running
    - ASoC:soc-pcm:fix a codec fixup issue in TDM case
    - ASoC:hdac_hda:use correct format to setup hda codec
    - ASoC:intel:skl:fix a simultaneous playback & capture issue on hda platform
    - ASoC: dpcm: prevent snd_soc_dpcm use after free
    - ALSA: hda: Avoid NULL pointer dereference at snd_hdac_stream_start()
    - ASoC: topology: create tlv before soc_tplg_init_kcontrol
    - ASoC: topology: free stream_name of dai_drv
    - ASoC: topology: free link string in error
    - ASoC: intel: Fix crash at suspend/resume after failed codec registration
    - ASoC: dapm: Fix NULL pointer dereference in snd_soc_dapm_free_kcontrol
    - ASoC: dapm: Initialize private_value in snd_soc_dapm_new_dai
    - ACPI / utils: Introduce acpi_dev_get_first_match_dev() helper
    - ASoC: dpcm: skip missing substream while applying symmetry
    - ASoC: dapm: set power_check callback for widgets that shouldnt be always on
    - ASoC: core: support driver alias names for FE topology overrides
    - ASoC: topology: Align tplg pointer increment across all kcontrols
    - ASoC: intel: skylake: add remove() callback for component driver
    - ASoC: core: remove link components before cleaning up card resources
    - ASoC: topology: fix endianness issues
    - ASoC: topology: fix big-endian check
    - ASoC: topology: Use the correct dobj to free enum control values and texts
    - ASoC: core: conditionally increase module refcount on component open
    - ASoC: pcm: update module refcount if module_get_upon_open is set
    - ASoC: pcm: fix error handling when try_module_get() fails.
    - ALSA: hda: Fix racy display power access
    - ASoC: pcm: save fixed-up hw_params of BE
    - ASoC: codec: hdac_hdmi add device_link to card device
    - ASoC: SOF: Add Sound Open Firmware driver core
    - ASoC: SOF: Add Sound Open Firmware KControl support
    - ASoC: SOF: Add driver debug support.
    - ASoC: SOF: Add support for IPC IO between DSP and Host
    - ASoC: SOF: Add PCM operations support
    - ASoC: SOF: Add support for loading topologies
    - ASoC: SOF: Add DSP firmware logger support
    - ASoC: SOF: Add DSP HW abstraction operations
    - ASoC: SOF: Add firmware loader support
    - ASoC: SOF: Add userspace ABI support
    - ASoC: SOF: Add PM support
    - ASoC: SOF: Add Nocodec machine driver support
    - ASoC: SOF: Add xtensa support
    - ASoC: SOF: Add utils
    - ASoC: SOF: Intel: Add BYT, CHT and BSW DSP HW support.
    - ASoC: SOF: Intel: Add BDW HW DSP support
    - ASoC: SOF: Intel: Add legacy IPC support
    - ASoC: SOF: Intel: Add APL/CNL HW DSP support
    - ASoC: SOF: Intel: Add HDA controller for Intel DSP
    - ASoC: SOF: Intel: Add Intel specific HDA DSP HW operations
    - ASoC: SOF: Intel: Add Intel specific HDA IPC mechanisms.
    - ASoC: SOF: Intel: Add Intel specific HDA firmware loader
    - ASoC: SOF: Intel: Add Intel specific HDA PCM operations
    - ASoC: SOF: Intel: Add hda-bus support and initialization
    - ASoC: SOF: Intel: Add Intel specific HDA stream operations
    - ASoC: SOF: Intel: Add Intel specific HDA trace operations
    - ASoC: SOF: Intel: Add support for HDAudio codecs
    - ASoC: SOF: Intel: add SKL+ platform DAIs
    - ASoC: SOF: Intel: Add platform differentiation for APL and CNL
    - ASoC: SOF: Add ACPI device support
    - ASoC: SOF: Add PCI device support
    - ASoC: Intel: Kconfig: expose common option between SST and SOF drivers
    - ASoC: SOF: Add Build support for SOF core and Intel drivers
    - ASoC: Intel: Make sure BDW based machine drivers build for SOF
    - ASoC: Intel: select relevant machine drivers for SOF
    - SAUCE: ASoC: Intel: ApolloLake support for SOF
    - SAUCE: ASoC: Intel: Haswell support with SOF
    - SAUCE: ASoC: Intel: Make sure HSW based machine drivers build for SOF
    - SAUCE: ASoC: SOF: Intel: Add HSW HW DSP support
    - SAUCE: ASoC: SOF: Intel: add Build support for Haswell
    - SAUCE: ASoC: SOF: Intel: Add SKL-specific code loader
    - SAUCE: ASoC: SOF: Intel: Add platform differentiation for SKL
    - SAUCE: ASoC: SOF: Intel: add Build support for Skylake and Kabylake
    - SAUCE: ASoC: Intel: Kconfig: disable SST and legacy drivers when SOF is
      selected
    - SAUCE: ASoC: dapm: fix kcontrols for effect widgets
    - SAUCE: ASoC: SOF: pcm: remove checks on preallocate_pages
    - SAUCE: ASoC: SOF: cnl: add pointer ops to use DPIB position
    - SAUCE: ASoC: Intel: skl_hda_dsp_generic: add DMIC support
    - SAUCE: SoC: Intel: skl_hda_dsp_generic:refine code style
    - SAUCE: ASoC: SOF: Intel: hda-ipc: remove irq_status from sdev and fix
      missing handling to IPC IRQ in the thread
    - SAUCE: ASoC: SOF: Intel: hda-stream: store stream capabilities
    - SAUCE: ASoC: SOF: Intel: hda-stream: handle real stream interrupts only
    - SAUCE: ALSA: hda: fix unregister device twice on ASoC driver
    - SAUCE: ASoC: hdac_hda: overwrite hdev type to HDA_DEV_ASOC
    - SAUCE: ASoC:SOF: fix FW loaded failed
    - SAUCE: ASoC:SOF:get spcm from FE dai link during BE dai link prepare
    - SAUCE: ASoC: SOF: add Kconfig option for strict ABI checks
    - SAUCE: ASOC: SOF: ipc: add support for stricter ABI checks
    - SAUCE: ASoC: SOF: topology: add support for stricter ABI checks
    - ALSA: hda/realtek - Add new Dell platform for headset mode
    - SAUCE: ASoC: soc-pcm: BE dai needs prepare when pause release after resume
    - media: Drop superfluous PCM preallocation error checks
    - ALSA: atmel: Drop superfluous PCM preallocation error checks
    - ALSA: parisc: Drop superfluous PCM preallocation error checks
    - ALSA: pci: Drop superfluous PCM preallocation error checks
    - ALSA: ppc: Drop superfluous PCM preallocation error checks
    - ASoC: txx9: Drop superfluous PCM preallocation error checks
    - ASoC: xtensa: Drop superfluous PCM preallocation error checks
    - ASoC: mediatek: Drop superfluous PCM preallocation error checks
    - ASoC: stm: Drop superfluous PCM preallocation error checks
    - ASoC: dwc: Drop superfluous PCM preallocation error checks
    - ASoC: uniphier: Drop superfluous PCM preallocation error checks
    - ALSA: sparc: Drop superfluous PCM preallocation error checks
    - ALSA: spi: Drop superfluous PCM preallocation error checks
    - ASoC: amd: Avoid passing NULL to memory allocators
    - ASoC: amd: Drop superfluous PCM preallocation error checks
    - ASoC: sh: Avoid passing NULL to memory allocators
    - ASoC: sh: Drop superfluous PCM preallocation error checks
    - ALSA: x86: Remove superfluous snd_pcm_suspend*() calls
    - ALSA: pci: Remove superfluous snd_pcm_suspend*() calls
    - ALSA: usb: Drop superfluous PCM preallocation error checks
    - [Config] Enable SOC_SOF configs
    - SAUCE: [Config-oem] Enable SOC_SOF configs

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 06 May 2019 12:17:56 +0300

linux-oem-osp1 (5.0.0-1005.6) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1005.6 -proposed tracker (LP: #1826148)

  [ Ubuntu: 5.0.0-14.15 ]

  * linux: 5.0.0-14.15 -proposed tracker (LP: #1826150)
  * [SRU] Please sync vbox modules from virtualbox 6.0.6 on next kernel update
    (LP: #1825210)
    - vbox-update: updates for renamed makefiles
    - ubuntu: vbox -- update to 6.0.6-dfsg-1
  * Intel I210 Ethernet card not working after hotplug [8086:1533]
    (LP: #1818490)
    - igb: Fix WARN_ONCE on runtime suspend
  * [regression][snd_hda_codec_realtek] repeating crackling noise after 19.04
    upgrade (LP: #1821663)
    - ALSA: hda - Add two more machines to the power_save_blacklist
  * CVE-2019-9500
    - brcmfmac: assure SSID length from firmware is limited
  * CVE-2019-9503
    - brcmfmac: add subtype check for event handling in data path
  * CVE-2019-3882
    - vfio/type1: Limit DMA mappings per container
  * autofs kernel module missing (LP: #1824333)
    - [Config] Update autofs4 path in inclusion list
  * The Realtek card reader does not enter PCIe 1.1/1.2 (LP: #1825487)
    - misc: rtsx: Enable OCP for rts522a rts524a rts525a rts5260
    - SAUCE: misc: rtsx: Fixed rts5260 power saving parameter and sd glitch
  * headset-mic doesn't work on two Dell laptops. (LP: #1825272)
    - ALSA: hda/realtek - add two more pin configuration sets to quirk table
  * CVE-2019-3887
    - KVM: x86: nVMX: close leak of L0's x2APIC MSRs (CVE-2019-3887)
    - KVM: x86: nVMX: fix x2APIC VTPR read intercept
  * CVE-2019-3874
    - sctp: implement memory accounting on tx path
    - sctp: implement memory accounting on rx path
  * CVE-2019-1999
    - binder: fix race between munmap() and direct reclaim
  * apparmor does not start in Disco LXD containers (LP: #1824812)
    - SAUCE: shiftfs: use separate llseek method for directories

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 29 Apr 2019 11:43:50 +0300

linux-oem-osp1 (5.0.0-1004.5) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1004.5 -proposed tracker (LP: #1824963)

  [ Ubuntu: 5.0.0-13.14 ]

  * linux: 5.0.0-13.14 -proposed tracker (LP: #1824819)
  * Display only has 640x480 (LP: #1824677)
    - Revert "UBUNTU: SAUCE: drm/nouveau: Disable nouveau driver by default"
  * shiftfs: use after free when checking mount options (LP: #1824735)
    - SAUCE: shiftfs: prevent use-after-free when verifying mount options

  [ Ubuntu: 5.0.0-12.13 ]

  * linux: 5.0.0-12.13 -proposed tracker (LP: #1824726)
  * Linux 5.0 black screen on boot, display flickers (i915 regression with
    certain laptop panels) (LP: #1824216)
    - drm/i915/dp: revert back to max link rate and lane count on eDP
  * kernel BUG at fs/attr.c:287 when using shiftfs (LP: #1824717)
    - SAUCE: shiftfs: fix passing of attrs to underaly for setattr

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Tue, 16 Apr 2019 11:39:52 +0300

linux-oem-osp1 (5.0.0-1003.4) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1003.4 -proposed tracker (LP: #1824382)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

  [ Ubuntu: 5.0.0-11.12 ]

  * linux: 5.0.0-11.12 -proposed tracker (LP: #1824383)
  * hns3: PPU_PF_ABNORMAL_INT_ST over_8bd_no_fe found [error status=0x1]
    (LP: #1824194)
    - net: hns3: fix for not calculating tx bd num correctly
  * disco: unable to use iptables/enable ufw under -virtual kernel
    (LP: #1823862)
    - [Packaging] add bpfilter to linux-modules
  * Make shiftfs a module rather than built-in (LP: #1824354)
    - [Config] CONFIG_SHIFT_FS=m
  * shiftfs: chown sets untranslated ids in lower fs (LP: #1824350)
    - SAUCE: shiftfs: use translated ids when chaning lower fs attrs
  * [Hyper-V] KVP daemon fails to start on first boot of disco VM (LP: #1820063)
    - [Packaging] bind hv_kvp_daemon startup to hv_kvp device

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 12 Apr 2019 11:03:49 +0300

linux-oem-osp1 (5.0.0-1002.3) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1002.3 -proposed tracker (LP: #1824008)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

  [ Ubuntu: 5.0.0-10.11 ]

  * linux: 5.0.0-10.11 -proposed tracker (LP: #1823936)
  * Apparmor enforcement failure in lxc selftests (LP: #1823379)
    - SAUCE: apparmor: Restore Y/N in /sys for apparmor's "enabled"
  * systemd cause kernel trace "BUG: unable to handle kernel paging request at
    6db23a14" on Cosmic i386 (LP: #1813244)
    - openvswitch: fix flow actions reallocation

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Tue, 09 Apr 2019 22:14:52 +0300

linux-oem-osp1 (5.0.0-1001.2) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1001.2 -proposed tracker (LP: #1823227)

  * Packaging resync (LP: #1786013)
    - [Packaging] update update.conf

  * Miscellaneous Ubuntu changes
    - Sync config changes

  [ Ubuntu: 5.0.0-9.10 ]

  * linux: 5.0.0-9.10 -proposed tracker (LP: #1823228)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction
  * Huawei Hi1822 NIC has poor performance (LP: #1820187)
    - net-next/hinic: replace disable_irq_nosync/enable_irq
  * Add uid shifting overlay filesystem (shiftfs) (LP: #1823186)
    - shiftfs: uid/gid shifting bind mount
    - shiftfs: rework and extend
    - shiftfs: support some btrfs ioctls
    - [Config] enable shiftfs
  * Cannot boot or install - have to use nomodeset (LP: #1821820)
    - Revert "drm/i915/fbdev: Actually configure untiled displays"
  * Disco update: v5.0.6 upstream stable release (LP: #1823060)
    - netfilter: nf_tables: fix set double-free in abort path
    - dccp: do not use ipv6 header for ipv4 flow
    - genetlink: Fix a memory leak on error path
    - gtp: change NET_UDP_TUNNEL dependency to select
    - ipv6: make ip6_create_rt_rcu return ip6_null_entry instead of NULL
    - mac8390: Fix mmio access size probe
    - mISDN: hfcpci: Test both vendor & device ID for Digium HFC4S
    - net: aquantia: fix rx checksum offload for UDP/TCP over IPv6
    - net: datagram: fix unbounded loop in __skb_try_recv_datagram()
    - net/packet: Set __GFP_NOWARN upon allocation in alloc_pg_vec
    - net: phy: meson-gxl: fix interrupt support
    - net: rose: fix a possible stack overflow
    - net: stmmac: fix memory corruption with large MTUs
    - net-sysfs: call dev_hold if kobject_init_and_add success
    - net: usb: aqc111: Extend HWID table by QNAP device
    - packets: Always register packet sk in the same order
    - rhashtable: Still do rehash when we get EEXIST
    - sctp: get sctphdr by offset in sctp_compute_cksum
    - sctp: use memdup_user instead of vmemdup_user
    - tcp: do not use ipv6 header for ipv4 flow
    - tipc: allow service ranges to be connect()'ed on RDM/DGRAM
    - tipc: change to check tipc_own_id to return in tipc_net_stop
    - tipc: fix cancellation of topology subscriptions
    - tun: properly test for IFF_UP
    - vrf: prevent adding upper devices
    - vxlan: Don't call gro_cells_destroy() before device is unregistered
    - thunderx: enable page recycling for non-XDP case
    - thunderx: eliminate extra calls to put_page() for pages held for recycling
    - net: dsa: mv88e6xxx: fix few issues in mv88e6390x_port_set_cmode
    - net: mii: Fix PAUSE cap advertisement from linkmode_adv_to_lcl_adv_t()
      helper
    - net: phy: don't clear BMCR in genphy_soft_reset
    - r8169: fix cable re-plugging issue
    - ila: Fix rhashtable walker list corruption
    - tun: add a missing rcu_read_unlock() in error path
    - powerpc/fsl: Fix the flush of branch predictor.
    - Btrfs: fix incorrect file size after shrinking truncate and fsync
    - btrfs: remove WARN_ON in log_dir_items
    - btrfs: don't report readahead errors and don't update statistics
    - btrfs: Fix bound checking in qgroup_trace_new_subtree_blocks
    - btrfs: Avoid possible qgroup_rsv_size overflow in
      btrfs_calculate_inode_block_rsv_size
    - Btrfs: fix assertion failure on fsync with NO_HOLES enabled
    - locks: wake any locks blocked on request before deadlock check
    - tracing: initialize variable in create_dyn_event()
    - ARM: imx6q: cpuidle: fix bug that CPU might not wake up at expected time
    - powerpc: bpf: Fix generation of load/store DW instructions
    - vfio: ccw: only free cp on final interrupt
    - NFS: Fix nfs4_lock_state refcounting in nfs4_alloc_{lock,unlock}data()
    - NFS: fix mount/umount race in nlmclnt.
    - NFSv4.1 don't free interrupted slot on open
    - net: dsa: qca8k: remove leftover phy accessors
    - ALSA: rawmidi: Fix potential Spectre v1 vulnerability
    - ALSA: seq: oss: Fix Spectre v1 vulnerability
    - ALSA: pcm: Fix possible OOB access in PCM oss plugins
    - ALSA: pcm: Don't suspend stream in unrecoverable PCM state
    - ALSA: hda/realtek - Fixed Headset Mic JD not stable
    - ALSA: hda/realtek: merge alc_fixup_headset_jack to alc295_fixup_chromebook
    - ALSA: hda/realtek - Add support headset mode for DELL WYSE AIO
    - ALSA: hda/realtek - Add support headset mode for New DELL WYSE NB
    - ALSA: hda/realtek: Enable headset MIC of Acer AIO with ALC286
    - ALSA: hda/realtek: Enable headset MIC of Acer Aspire Z24-890 with ALC286
    - ALSA: hda/realtek - Add support for Acer Aspire E5-523G/ES1-432 headset mic
    - ALSA: hda/realtek: Enable ASUS X441MB and X705FD headset MIC with ALC256
    - ALSA: hda/realtek: Enable headset mic of ASUS P5440FF with ALC256
    - ALSA: hda/realtek: Enable headset MIC of ASUS X430UN and X512DK with ALC256
    - ALSA: hda/realtek - Fix speakers on Acer Predator Helios 500 Ryzen laptops
    - kbuild: modversions: Fix relative CRC byte order interpretation
    - fs/open.c: allow opening only regular files during execve()
    - ocfs2: fix inode bh swapping mixup in ocfs2_reflink_inodes_lock
    - scsi: sd: Fix a race between closing an sd device and sd I/O
    - scsi: sd: Quiesce warning if device does not report optimal I/O size
    - scsi: zfcp: fix rport unblock if deleted SCSI devices on Scsi_Host
    - scsi: zfcp: fix scsi_eh host reset with port_forced ERP for non-NPIV FCP
      devices
    - drm/rockchip: vop: reset scale mode when win is disabled
    - tty/serial: atmel: Add is_half_duplex helper
    - tty/serial: atmel: RS485 HD w/DMA: enable RX after TX is stopped
    - tty: mxs-auart: fix a potential NULL pointer dereference
    - tty: atmel_serial: fix a potential NULL pointer dereference
    - tty: serial: qcom_geni_serial: Initialize baud in qcom_geni_console_setup
    - staging: comedi: ni_mio_common: Fix divide-by-zero for DIO cmdtest
    - staging: olpc_dcon_xo_1: add missing 'const' qualifier
    - staging: speakup_soft: Fix alternate speech with other synths
    - staging: vt6655: Remove vif check from vnt_interrupt
    - staging: vt6655: Fix interrupt race condition on device start up.
    - staging: erofs: fix to handle error path of erofs_vmap()
    - staging: erofs: fix error handling when failed to read compresssed data
    - staging: erofs: keep corrupted fs from crashing kernel in erofs_readdir()
    - serial: max310x: Fix to avoid potential NULL pointer dereference
    - serial: mvebu-uart: Fix to avoid a potential NULL pointer dereference
    - serial: sh-sci: Fix setting SCSCR_TIE while transferring data
    - USB: serial: cp210x: add new device id
    - USB: serial: ftdi_sio: add additional NovaTech products
    - USB: serial: mos7720: fix mos_parport refcount imbalance on error path
    - USB: serial: option: set driver_info for SIM5218 and compatibles
    - USB: serial: option: add support for Quectel EM12
    - USB: serial: option: add Olicard 600
    - ACPI / CPPC: Fix guaranteed performance handling
    - Disable kgdboc failed by echo space to /sys/module/kgdboc/parameters/kgdboc
    - fs/proc/proc_sysctl.c: fix NULL pointer dereference in put_links
    - drivers/block/zram/zram_drv.c: fix idle/writeback string compare
    - blk-mq: fix sbitmap ws_active for shared tags
    - cpufreq: intel_pstate: Also use CPPC nominal_perf for base_frequency
    - cpufreq: scpi: Fix use after free
    - drm/vgem: fix use-after-free when drm_gem_handle_create() fails
    - drm/vkms: fix use-after-free when drm_gem_handle_create() fails
    - drm/i915: Mark AML 0x87CA as ULX
    - drm/i915/gvt: Fix MI_FLUSH_DW parsing with correct index check
    - drm/i915/icl: Fix the TRANS_DDI_FUNC_CTL2 bitfield macro
    - gpio: exar: add a check for the return value of ida_simple_get fails
    - gpio: adnp: Fix testing wrong value in adnp_gpio_direction_input
    - phy: sun4i-usb: Support set_mode to USB_HOST for non-OTG PHYs
    - usb: mtu3: fix EXTCON dependency
    - USB: gadget: f_hid: fix deadlock in f_hidg_write()
    - usb: common: Consider only available nodes for dr_mode
    - mm/memory.c: fix modifying of page protection by insert_pfn()
    - usb: host: xhci-rcar: Add XHCI_TRUST_TX_LENGTH quirk
    - xhci: Fix port resume done detection for SS ports with LPM enabled
    - usb: xhci: dbc: Don't free all memory with spinlock held
    - xhci: Don't let USB3 ports stuck in polling state prevent suspend
    - usb: cdc-acm: fix race during wakeup blocking TX traffic
    - usb: typec: tcpm: Try PD-2.0 if sink does not respond to 3.0 source-caps
    - usb: typec: Fix unchecked return value
    - mm/hotplug: fix offline undo_isolate_page_range()
    - mm: add support for kmem caches in DMA32 zone
    - iommu/io-pgtable-arm-v7s: request DMA32 memory, and improve debugging
    - mm: mempolicy: make mbind() return -EIO when MPOL_MF_STRICT is specified
    - mm/debug.c: fix __dump_page when mapping->host is not set
    - mm/memory_hotplug.c: fix notification in offline error path
    - mm/page_isolation.c: fix a wrong flag in set_migratetype_isolate()
    - mm/migrate.c: add missing flush_dcache_page for non-mapped page migrate
    - perf pmu: Fix parser error for uncore event alias
    - perf intel-pt: Fix TSC slip
    - objtool: Query pkg-config for libelf location
    - powerpc/pseries/energy: Use OF accessor functions to read ibm,drc-indexes
    - powerpc/64: Fix memcmp reading past the end of src/dest
    - powerpc/pseries/mce: Fix misleading print for TLB mutlihit
    - watchdog: Respect watchdog cpumask on CPU hotplug
    - cpu/hotplug: Prevent crash when CPU bringup fails on CONFIG_HOTPLUG_CPU=n
    - x86/smp: Enforce CONFIG_HOTPLUG_CPU when SMP=y
    - KVM: Reject device ioctls from processes other than the VM's creator
    - KVM: x86: Emulate MSR_IA32_ARCH_CAPABILITIES on AMD hosts
    - KVM: x86: update %rip after emulating IO
    - bpf: do not restore dst_reg when cur_state is freed
    - mt76x02u: use usb_bulk_msg to upload firmware
    - Linux 5.0.6
  * RDMA/hns updates for disco (LP: #1822897)
    - RDMA/hns: Fix the bug with updating rq head pointer when flush cqe
    - RDMA/hns: Bugfix for the scene without receiver queue
    - RDMA/hns: Add constraint on the setting of local ACK timeout
    - RDMA/hns: Modify the pbl ba page size for hip08
    - RDMA/hns: RDMA/hns: Assign rq head pointer when enable rq record db
    - RDMA/hns: Add the process of AEQ overflow for hip08
    - RDMA/hns: Add SCC context allocation support for hip08
    - RDMA/hns: Add SCC context clr support for hip08
    - RDMA/hns: Add timer allocation support for hip08
    - RDMA/hns: Remove set but not used variable 'rst'
    - RDMA/hns: Make some function static
    - RDMA/hns: Fix the Oops during rmmod or insmod ko when reset occurs
    - RDMA/hns: Fix the chip hanging caused by sending mailbox&CMQ during reset
    - RDMA/hns: Fix the chip hanging caused by sending doorbell during reset
    - RDMA/hns: Limit minimum ROCE CQ depth to 64
    - RDMA/hns: Fix the state of rereg mr
    - RDMA/hns: Set allocated memory to zero for wrid
    - RDMA/hns: Delete useful prints for aeq subtype event
    - RDMA/hns: Configure capacity of hns device
    - RDMA/hns: Modify qp&cq&pd specification according to UM
    - RDMA/hns: Bugfix for set hem of SCC
    - RDMA/hns: Use GFP_ATOMIC in hns_roce_v2_modify_qp
  * autopkgtests run too often, too much and don't skip enough (LP: #1823056)
    - Set +x on rebuild testcase.
    - Skip rebuild test, for regression-suite deps.
    - Make ubuntu-regression-suite skippable on unbootable kernels.
    - make rebuild use skippable error codes when skipping.
    - Only run regression-suite, if requested to.
  * touchpad not working on lenovo yoga 530 (LP: #1787775)
    - Revert "UBUNTU: SAUCE: i2c:amd Depends on ACPI"
    - Revert "UBUNTU: SAUCE: i2c:amd move out pointer in union i2c_event_base"
    - i2c: add extra check to safe DMA buffer helper
    - i2c: Add drivers for the AMD PCIe MP2 I2C controller
    - [Config] Update config for AMD MP2 I2C driver
  * Detect SMP PHY control command errors (LP: #1822680)
    - scsi: libsas: Check SMP PHY control function result
  * disable a.out support (LP: #1818552)
    - [Config] Disable a.out support
    - [Config] remove binfmt_aout from abi for i386 lowlatency
  * bionic: fork out linux-snapdragon into its own topic kernel (LP: #1820868)
    - [Packaging] remove snapdragon flavour support
    - Revert "UBUNTU: SAUCE: (snapdragon) drm/msm/adv7511: wrap hacks under
      CONFIG_ADV7511_SNAPDRAGON_HACKS #ifdefs"
    - Revert "UBUNTU: SAUCE: (snapdragon) media: ov5645: skip address change if dt
      addr == default addr"
    - Revert "UBUNTU: SAUCE: (snapdragon) DT: leds: Add Qualcomm Light Pulse
      Generator binding"
    - Revert "UBUNTU: SAUCE: (snapdragon) MAINTAINERS: Add Qualcomm Camera Control
      Interface driver"
    - Revert "UBUNTU: SAUCE: (snapdragon) dt-bindings: media: Binding document for
      Qualcomm Camera Control Interface driver"
    - Revert "UBUNTU: SAUCE: (snapdragon) leds: Add driver for Qualcomm LPG"
    - Revert "UBUNTU: SAUCE: (snapdragon) HACK: drm/msm/adv7511: Don't rely on
      interrupts for EDID parsing"
    - Revert "UBUNTU: SAUCE: (snapdragon) drm/bridge/adv7511: Delay clearing of
      HPD interrupt status"
    - Revert "UBUNTU: SAUCE: (snapdragon) media: ov5645: Fix I2C address"
    - Revert "UBUNTU: SAUCE: (snapdragon) i2c-qcom-cci: Fix I2C address bug"
    - Revert "UBUNTU: SAUCE: (snapdragon) i2c-qcom-cci: Fix run queue completion
      timeout"
    - Revert "UBUNTU: SAUCE: (snapdragon) camss: Do not register if no cameras are
      present"
    - Revert "UBUNTU: SAUCE: (snapdragon) i2c: Add Qualcomm Camera Control
      Interface driver"
    - Revert "UBUNTU: SAUCE: (snapdragon) ov5645: I2C address change"
    - Revert "UBUNTU: SAUCE: (snapdragon) regulator: smd: Allow
      REGULATOR_QCOM_SMD_RPM=m"
    - Revert "UBUNTU: SAUCE: (snapdragon) cpufreq: Add apq8016 to cpufreq-dt-
      platdev blacklist"
    - Revert "UBUNTU: SAUCE: (snapdragon) PM / OPP: Add a helper to get an opp
      regulator for device"
    - Revert "UBUNTU: SAUCE: (snapdragon) PM / OPP: HACK: Allow to set regulator
      without opp_list"
    - Revert "UBUNTU: SAUCE: (snapdragon) PM / OPP: Drop RCU usage in
      dev_pm_opp_adjust_voltage()"
    - Revert "UBUNTU: SAUCE: (snapdragon) PM / OPP: Support adjusting OPP voltages
      at runtime"
    - Revert "UBUNTU: SAUCE: (snapdragon) regulator: smd: Add floor and corner
      operations"
    - Revert "UBUNTU: SAUCE: (snapdragon) power: avs: cpr: Register with cpufreq-
      dt"
    - Revert "UBUNTU: SAUCE: (snapdragon) power: avs: cpr: fix with new
      reg_sequence structures"
    - Revert "UBUNTU: SAUCE: (snapdragon) power: avs: cpr: Use raw mem access for
      qfprom"
    - Revert "UBUNTU: SAUCE: (snapdragon) power: avs: Add support for CPR (Core
      Power Reduction)"
    - Revert "UBUNTU: SAUCE: (snapdragon) HACK: drm/msm/iommu: Remove runtime_put
      calls in map/unmap"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: defconfig: enable LEDS_QCOM_LPG"
    - Revert "UBUNTU: SAUCE: (snapdragon) kernel: distro.config: enable 'BBR' TCP
      congestion algorithm"
    - Revert "UBUNTU: SAUCE: (snapdragon) kernel: distro.config: enable 'fq' and
      'fq_codel' qdiscs"
    - Revert "UBUNTU: SAUCE: (snapdragon) kernel: distro.config: enable
      'schedutil' CPUfreq governor"
    - Revert "UBUNTU: SAUCE: (snapdragon) kernel: configs: set USB_CONFIG_F_FS in
      distro.config"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: defconfig: enable
      CONFIG_USB_CONFIGFS_F_FS by default"
    - Revert "UBUNTU: SAUCE: (snapdragon) kernel: configs: add freq stat to sysfs"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: configs: Enable camera drivers"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: defconfig: disable ANALOG_TV and
      DIGITAL_TV"
    - Revert "UBUNTU: SAUCE: (snapdragon) kernel: configs: add more USB net
      drivers"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: configs: enable BT_QCOMSMD"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: defconfig: enable
      CFG80211_DEFAULT_PS by default"
    - Revert "UBUNTU: SAUCE: (snapdragon) Force the SMD regulator driver to be
      compiled-in"
    - Revert "UBUNTU: SAUCE: (snapdragon) kernel: configs: enable dm_mod and
      dm_crypt"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: defconfig: Enable a53/apcs and
      avs"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: configs: enable QCOM Venus"
    - Revert "UBUNTU: SAUCE: (snapdragon) kernel: distro.config: enable debug
      friendly USB network adpater"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: configs: enable WCN36xx"
    - Revert "UBUNTU: SAUCE: (snapdragon) kernel: configs; add distro.config"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: defconfig: enable QCOM audio
      drivers for APQ8016 and DB410c"
    - Revert "UBUNTU: SAUCE: (snapdragon) arm64: defconfig: enable REMOTEPROC"
    - [Config] fix abi for remove i2c-qcom-cci module
    - [Config] update annotations
    - [Config] update configs following snapdragon removal
  * Disco update: v5.0.5 upstream stable release (LP: #1822671)
    - Revert "ALSA: hda - Enforces runtime_resume after S3 and S4 for each codec"
    - ALSA: hda - add Lenovo IdeaCentre B550 to the power_save_blacklist
    - ALSA: firewire-motu: use 'version' field of unit directory to identify model
    - mmc: pxamci: fix enum type confusion
    - mmc: alcor: fix DMA reads
    - mmc: mxcmmc: "Revert mmc: mxcmmc: handle highmem pages"
    - mmc: renesas_sdhi: limit block count to 16 bit for old revisions
    - drm/amdgpu: fix invalid use of change_bit
    - drm/vmwgfx: Don't double-free the mode stored in par->set_mode
    - drm/vmwgfx: Return 0 when gmrid::get_node runs out of ID's
    - iommu/amd: fix sg->dma_address for sg->offset bigger than PAGE_SIZE
    - iommu/iova: Fix tracking of recently failed iova address
    - libceph: wait for latest osdmap in ceph_monc_blacklist_add()
    - udf: Fix crash on IO error during truncate
    - mips: loongson64: lemote-2f: Add IRQF_NO_SUSPEND to "cascade" irqaction.
    - MIPS: Ensure ELF appended dtb is relocated
    - MIPS: Fix kernel crash for R6 in jump label branch function
    - powerpc/vdso64: Fix CLOCK_MONOTONIC inconsistencies across Y2038
    - powerpc/security: Fix spectre_v2 reporting
    - net/mlx5: Fix DCT creation bad flow
    - scsi: core: Avoid that a kernel warning appears during system resume
    - scsi: qla2xxx: Fix FC-AL connection target discovery
    - scsi: ibmvscsi: Protect ibmvscsi_head from concurrent modificaiton
    - scsi: ibmvscsi: Fix empty event pool access during host removal
    - futex: Ensure that futex address is aligned in handle_futex_death()
    - perf probe: Fix getting the kernel map
    - objtool: Move objtool_file struct off the stack
    - irqchip/gic-v3-its: Fix comparison logic in lpi_range_cmp
    - clocksource/drivers/riscv: Fix clocksource mask
    - ALSA: ac97: Fix of-node refcount unbalance
    - ext4: fix NULL pointer dereference while journal is aborted
    - ext4: fix data corruption caused by unaligned direct AIO
    - ext4: brelse all indirect buffer in ext4_ind_remove_space()
    - media: v4l2-ctrls.c/uvc: zero v4l2_event
    - Bluetooth: hci_uart: Check if socket buffer is ERR_PTR in h4_recv_buf()
    - Bluetooth: Fix decrementing reference count twice in releasing socket
    - Bluetooth: hci_ldisc: Initialize hci_dev before open()
    - Bluetooth: hci_ldisc: Postpone HCI_UART_PROTO_READY bit set in
      hci_uart_set_proto()
    - drm/vkms: Fix flush_work() without INIT_WORK().
    - RDMA/cma: Rollback source IP address if failing to acquire device
    - f2fs: fix to avoid deadlock of atomic file operations
    - aio: simplify - and fix - fget/fput for io_submit()
    - netfilter: ebtables: remove BUGPRINT messages
    - loop: access lo_backing_file only when the loop device is Lo_bound
    - x86/unwind: Handle NULL pointer calls better in frame unwinder
    - x86/unwind: Add hardcoded ORC entry for NULL
    - locking/lockdep: Add debug_locks check in __lock_downgrade()
    - ALSA: hda - Record the current power state before suspend/resume calls
    - ALSA: hda - Enforces runtime_resume after S3 and S4 for each codec
    - Linux 5.0.5
  * hisi_sas updates for disco (LP: #1822385)
    - scsi: hisi_sas: send primitive NOTIFY to SSP situation only
    - scsi: hisi_sas: shutdown axi bus to avoid exception CQ returned
    - scsi: hisi_sas: remove the check of sas_dev status in
      hisi_sas_I_T_nexus_reset()
    - scsi: hisi_sas: Remove unused parameter of function hisi_sas_alloc()
    - scsi: hisi_sas: Reject setting programmed minimum linkrate > 1.5G
    - scsi: hisi_sas: Fix losing directly attached disk when hot-plug
    - scsi: hisi_sas: Correct memory allocation size for DQ debugfs
    - scsi: hisi_sas: Some misc tidy-up
    - scsi: hisi_sas: Fix to only call scsi_get_prot_op() for non-NULL scsi_cmnd
    - scsi: hisi_sas: Add missing seq_printf() call in hisi_sas_show_row_32()
    - scsi: hisi_sas: Add support for DIX feature for v3 hw
    - scsi: hisi_sas: Add manual trigger for debugfs dump
    - scsi: hisi_sas: change queue depth from 512 to 4096
    - scsi: hisi_sas: Issue internal abort on all relevant queues
    - scsi: hisi_sas: Use pci_irq_get_affinity() for v3 hw as experimental
    - scsi: hisi_sas: Do some more tidy-up
    - scsi: hisi_sas: Change return variable type in phy_up_v3_hw()
    - scsi: hisi_sas: Fix a timeout race of driver internal and SMP IO
    - scsi: hisi_sas: print PHY RX errors count for later revision of v3 hw
    - scsi: hisi_sas: Set PHY linkrate when disconnected
    - scsi: hisi_sas: Send HARD RESET to clear the previous affiliation of STP
      target port
    - scsi: hisi_sas: Change SERDES_CFG init value to increase reliability of
      HiLink
    - scsi: hisi_sas: Add softreset in hisi_sas_I_T_nexus_reset()
  * [Patch][Raven 2] kernel 5.0.0 cannot boot because of psp response
    (LP: #1822267)
    - drm/amdgpu/psp: Fix can't detect psp INVOKE command failed
    - drm/amdgpu/psp: ignore psp response status
  * 3b080b2564287be91605bfd1d5ee985696e61d3c in ubuntu_btrfs_kernel_fixes
    triggers system hang on i386 (LP: #1812845)
    - btrfs: raid56: properly unmap parity page in finish_parity_scrub()
  * enable CONFIG_DRM_BOCHS (LP: #1795857)
    - [Config] Reenable DRM_BOCHS as module
  * [Dell Precision 7530/5530 with Nvidia Quadro P1000] Live USB freezes or
    cannot complete install when nouveau driver is loaded (crashing in GP100
    code) (LP: #1822026)
    - SAUCE: drm/nouveau: Disable nouveau driver by default
  * Need to add Intel CML related pci-id's (LP: #1821863)
    - drm/i915/cml: Add CML PCI IDS
    - drm/i915/cml: Introduce Comet Lake PCH
  * ARM: Add support for the SDEI interface (LP: #1822005)
    - ACPI / APEI: Don't wait to serialise with oops messages when panic()ing
    - ACPI / APEI: Remove silent flag from ghes_read_estatus()
    - ACPI / APEI: Switch estatus pool to use vmalloc memory
    - ACPI / APEI: Make hest.c manage the estatus memory pool
    - ACPI / APEI: Make estatus pool allocation a static size
    - ACPI / APEI: Don't store CPER records physical address in struct ghes
    - ACPI / APEI: Remove spurious GHES_TO_CLEAR check
    - ACPI / APEI: Don't update struct ghes' flags in read/clear estatus
    - ACPI / APEI: Generalise the estatus queue's notify code
    - ACPI / APEI: Don't allow ghes_ack_error() to mask earlier errors
    - ACPI / APEI: Move NOTIFY_SEA between the estatus-queue and NOTIFY_NMI
    - ACPI / APEI: Switch NOTIFY_SEA to use the estatus queue
    - KVM: arm/arm64: Add kvm_ras.h to collect kvm specific RAS plumbing
    - arm64: KVM/mm: Move SEA handling behind a single 'claim' interface
    - ACPI / APEI: Move locking to the notification helper
    - ACPI / APEI: Let the notification helper specify the fixmap slot
    - ACPI / APEI: Pass ghes and estatus separately to avoid a later copy
    - ACPI / APEI: Make GHES estatus header validation more user friendly
    - ACPI / APEI: Split ghes_read_estatus() to allow a peek at the CPER length
    - ACPI / APEI: Only use queued estatus entry during in_nmi_queue_one_entry()
    - ACPI / APEI: Use separate fixmap pages for arm64 NMI-like notifications
    - firmware: arm_sdei: Add ACPI GHES registration helper
    - ACPI / APEI: Add support for the SDEI GHES Notification type
  * CVE-2019-9857
    - inotify: Fix fsnotify_mark refcount leak in inotify_update_existing_watch()
  * scsi: libsas: Support SATA PHY connection rate unmatch fixing during
    discovery (LP: #1821408)
    - scsi: libsas: Support SATA PHY connection rate unmatch fixing during
      discovery
  * Qualcomm Atheros QCA9377 wireless does not work (LP: #1818204)
    - platform/x86: ideapad-laptop: Add Ideapad 530S-14ARR to no_hw_rfkill list
  * Lenovo ideapad 330-15ICH Wifi rfkill hard blocked (LP: #1811815)
    - platform/x86: ideapad: Add ideapad 330-15ICH to no_hw_rfkill
  * hid-sensor-hub spamming dmesg in 4.20 (LP: #1818547)
    - HID: Increase maximum report size allowed by hid_field_extract()
  * [disco] [5.0.0-7.8] can't mount guest cifs share (LP: #1821053)
    - cifs: allow guest mounts to work for smb3.11
    - SMB3: Fix SMB3.1.1 guest mounts to Samba
  * Add HiSilicon SoC quirk for cpufreq (LP: #1821620)
    - ACPI / CPPC: Add a helper to get desired performance
    - cpufreq / cppc: Work around for Hisilicon CPPC cpufreq
  * Disco update: v5.0.4 upstream stable release (LP: #1821607)
    - 9p: use inode->i_lock to protect i_size_write() under 32-bit
    - 9p/net: fix memory leak in p9_client_create
    - ASoC: fsl_esai: fix register setting issue in RIGHT_J mode
    - ASoC: codecs: pcm186x: fix wrong usage of DECLARE_TLV_DB_SCALE()
    - ASoC: codecs: pcm186x: Fix energysense SLEEP bit
    - iio: adc: exynos-adc: Fix NULL pointer exception on unbind
    - iio: adc: exynos-adc: Use proper number of channels for Exynos4x12
    - mei: hbm: clean the feature flags on link reset
    - mei: bus: move hw module get/put to probe/release
    - stm class: Prevent division by zero
    - stm class: Fix an endless loop in channel allocation
    - crypto: caam - fix hash context DMA unmap size
    - crypto: ccree - fix missing break in switch statement
    - crypto: caam - fixed handling of sg list
    - crypto: caam - fix DMA mapping of stack memory
    - crypto: ccree - fix free of unallocated mlli buffer
    - crypto: ccree - unmap buffer before copying IV
    - crypto: ccree - don't copy zero size ciphertext
    - crypto: cfb - add missing 'chunksize' property
    - crypto: cfb - remove bogus memcpy() with src == dest
    - crypto: ofb - fix handling partial blocks and make thread-safe
    - crypto: ahash - fix another early termination in hash walk
    - crypto: rockchip - fix scatterlist nents error
    - crypto: rockchip - update new iv to device in multiple operations
    - dax: Flush partial PMDs correctly
    - nfit: Fix nfit_intel_shutdown_status() command submission
    - nfit: acpi_nfit_ctl(): Check out_obj->type in the right place
    - acpi/nfit: Fix bus command validation
    - nfit/ars: Attempt a short-ARS whenever the ARS state is idle at boot
    - nfit/ars: Attempt short-ARS even in the no_init_ars case
    - libnvdimm/label: Clear 'updating' flag after label-set update
    - libnvdimm, pfn: Fix over-trim in trim_pfn_device()
    - libnvdimm/pmem: Honor force_raw for legacy pmem regions
    - libnvdimm: Fix altmap reservation size calculation
    - fix cgroup_do_mount() handling of failure exits
    - crypto: aead - set CRYPTO_TFM_NEED_KEY if ->setkey() fails
    - crypto: aegis - fix handling chunked inputs
    - crypto: arm/crct10dif - revert to C code for short inputs
    - crypto: arm64/aes-neonbs - fix returning final keystream block
    - crypto: arm64/crct10dif - revert to C code for short inputs
    - crypto: hash - set CRYPTO_TFM_NEED_KEY if ->setkey() fails
    - crypto: morus - fix handling chunked inputs
    - crypto: pcbc - remove bogus memcpy()s with src == dest
    - crypto: skcipher - set CRYPTO_TFM_NEED_KEY if ->setkey() fails
    - crypto: testmgr - skip crc32c context test for ahash algorithms
    - crypto: x86/aegis - fix handling chunked inputs and MAY_SLEEP
    - crypto: x86/aesni-gcm - fix crash on empty plaintext
    - crypto: x86/morus - fix handling chunked inputs and MAY_SLEEP
    - crypto: arm64/aes-ccm - fix logical bug in AAD MAC handling
    - crypto: arm64/aes-ccm - fix bugs in non-NEON fallback routine
    - CIFS: Fix leaking locked VFS cache pages in writeback retry
    - CIFS: Do not reset lease state to NONE on lease break
    - CIFS: Do not skip SMB2 message IDs on send failures
    - CIFS: Fix read after write for files with read caching
    - smb3: make default i/o size for smb3 mounts larger
    - tracing: Use strncpy instead of memcpy for string keys in hist triggers
    - tracing: Do not free iter->trace in fail path of tracing_open_pipe()
    - tracing/perf: Use strndup_user() instead of buggy open-coded version
    - vmw_balloon: release lock on error in vmballoon_reset()
    - xen: fix dom0 boot on huge systems
    - ACPI / device_sysfs: Avoid OF modalias creation for removed device
    - mmc: sdhci-esdhc-imx: fix HS400 timing issue
    - mmc: renesas_sdhi: Fix card initialization failure in high speed mode
    - mmc:fix a bug when max_discard is 0
    - spi: ti-qspi: Fix mmap read when more than one CS in use
    - spi: pxa2xx: Setup maximum supported DMA transfer length
    - spi: omap2-mcspi: Fix DMA and FIFO event trigger size mismatch
    - spi: spi-gpio: fix SPI_CS_HIGH capability
    - regulator: s2mps11: Fix steps for buck7, buck8 and LDO35
    - regulator: max77620: Initialize values for DT properties
    - regulator: s2mpa01: Fix step values for some LDOs
    - mt76: fix corrupted software generated tx CCMP PN
    - clocksource/drivers/exynos_mct: Move one-shot check from tick clear to ISR
    - clocksource/drivers/exynos_mct: Clear timer interrupt when shutdown
    - clocksource/drivers/arch_timer: Workaround for Allwinner A64 timer
      instability
    - s390: vfio_ap: link the vfio_ap devices to the vfio_ap bus subsystem
    - s390/setup: fix early warning messages
    - s390/virtio: handle find on invalid queue gracefully
    - scsi: virtio_scsi: don't send sc payload with tmfs
    - scsi: aacraid: Fix performance issue on logical drives
    - scsi: sd: Optimal I/O size should be a multiple of physical block size
    - scsi: target/iscsi: Avoid iscsit_release_commands_from_conn() deadlock
    - scsi: qla2xxx: Fix LUN discovery if loop id is not assigned yet by firmware
    - scsi: qla2xxx: Avoid PCI IRQ affinity mapping when multiqueue is not
      supported
    - scsi: qla2xxx: Use complete switch scan for RSCN events
    - fs/devpts: always delete dcache dentry-s in dput()
    - splice: don't merge into linked buffers
    - ovl: During copy up, first copy up data and then xattrs
    - ovl: Do not lose security.capability xattr over metadata file copy-up
    - m68k: Add -ffreestanding to CFLAGS
    - Btrfs: setup a nofs context for memory allocation at btrfs_create_tree()
    - Btrfs: setup a nofs context for memory allocation at __btrfs_set_acl
    - btrfs: scrub: fix circular locking dependency warning
    - btrfs: drop the lock on error in btrfs_dev_replace_cancel
    - btrfs: ensure that a DUP or RAID1 block group has exactly two stripes
    - btrfs: init csum_list before possible free
    - Btrfs: fix corruption reading shared and compressed extents after hole
      punching
    - Btrfs: fix deadlock between clone/dedupe and rename
    - soc: qcom: rpmh: Avoid accessing freed memory from batch API
    - libertas_tf: don't set URB_ZERO_PACKET on IN USB transfer
    - irqchip/gic-v3-its: Avoid parsing _indirect_ twice for Device table
    - irqchip/brcmstb-l2: Use _irqsave locking variants in non-interrupt code
    - x86/kprobes: Prohibit probing on optprobe template code
    - cpufreq: kryo: Release OPP tables on module removal
    - cpufreq: tegra124: add missing of_node_put()
    - cpufreq: pxa2xx: remove incorrect __init annotation
    - ext4: fix check of inode in swap_inode_boot_loader
    - ext4: cleanup pagecache before swap i_data
    - mm: hwpoison: fix thp split handing in soft_offline_in_use_page()
    - mm/vmalloc: fix size check for remap_vmalloc_range_partial()
    - mm/memory.c: do_fault: avoid usage of stale vm_area_struct
    - kernel/sysctl.c: add missing range check in do_proc_dointvec_minmax_conv
    - nvmem: core: don't check the return value of notifier chain call
    - device property: Fix the length used in PROPERTY_ENTRY_STRING()
    - intel_th: Don't reference unassigned outputs
    - parport_pc: fix find_superio io compare code, should use equal test.
    - i2c: tegra: fix maximum transfer size
    - i2c: tegra: update maximum transfer size
    - media: i2c: ov5640: Fix post-reset delay
    - gpio: pca953x: Fix dereference of irq data in shutdown
    - ext4: update quota information while swapping boot loader inode
    - ext4: add mask of ext4 flags to swap
    - ext4: fix crash during online resizing
    - dma: Introduce dma_max_mapping_size()
    - swiotlb: Introduce swiotlb_max_mapping_size()
    - swiotlb: Add is_swiotlb_active() function
    - PCI/ASPM: Use LTR if already enabled by platform
    - PCI/DPC: Fix print AER status in DPC event handling
    - PCI: qcom: Don't deassert reset GPIO during probe
    - PCI: dwc: skip MSI init if MSIs have been explicitly disabled
    - PCI: pci-bridge-emul: Create per-bridge copy of register behavior
    - PCI: pci-bridge-emul: Extend pci_bridge_emul_init() with flags
    - IB/hfi1: Close race condition on user context disable and close
    - IB/rdmavt: Fix loopback send with invalidate ordering
    - IB/rdmavt: Fix concurrency panics in QP post_send and modify to error
    - cxl: Wrap iterations over afu slices inside 'afu_list_lock'
    - ext2: Fix underflow in ext2_max_size()
    - clk: uniphier: Fix update register for CPU-gear
    - clk: clk-twl6040: Fix imprecise external abort for pdmclk
    - clk: samsung: exynos5: Fix possible NULL pointer exception on
      platform_device_alloc() failure
    - clk: samsung: exynos5: Fix kfree() of const memory on setting
      driver_override
    - clk: ingenic: Fix round_rate misbehaving with non-integer dividers
    - clk: ingenic: Fix doc of ingenic_cgu_div_info
    - usb: chipidea: tegra: Fix missed ci_hdrc_remove_device()
    - usb: typec: tps6598x: handle block writes separately with plain-I2C adapters
    - dmaengine: usb-dmac: Make DMAC system sleep callbacks explicit
    - serial: uartps: Fix stuck ISR if RX disabled with non-empty FIFO
    - serial: 8250_of: assume reg-shift of 2 for mrvl,mmp-uart
    - serial: 8250_pci: Fix number of ports for ACCES serial cards
    - serial: 8250_pci: Have ACCES cards that use the four port Pericom PI7C9X7954
      chip use the pci_pericom_setup()
    - jbd2: clear dirty flag when revoking a buffer from an older transaction
    - jbd2: fix compile warning when using JBUFFER_TRACE
    - selinux: add the missing walk_size + len check in selinux_sctp_bind_connect
    - security/selinux: fix SECURITY_LSM_NATIVE_LABELS on reused superblock
    - powerpc/32: Clear on-stack exception marker upon exception return
    - powerpc/wii: properly disable use of BATs when requested.
    - powerpc/powernv: Make opal log only readable by root
    - powerpc/83xx: Also save/restore SPRG4-7 during suspend
    - powerpc/kvm: Save and restore host AMR/IAMR/UAMOR
    - powerpc/powernv: Don't reprogram SLW image on every KVM guest entry/exit
    - powerpc/64s/hash: Fix assert_slb_presence() use of the slbfee. instruction
    - powerpc: Fix 32-bit KVM-PR lockup and host crash with MacOS guest
    - powerpc/ptrace: Simplify vr_get/set() to avoid GCC warning
    - powerpc/hugetlb: Don't do runtime allocation of 16G pages in LPAR
      configuration
    - powerpc/smp: Fix NMI IPI timeout
    - powerpc/smp: Fix NMI IPI xmon timeout
    - powerpc/traps: fix recoverability of machine check handling on book3s/32
    - powerpc/traps: Fix the message printed when stack overflows
    - ARM: s3c24xx: Fix boolean expressions in osiris_dvs_notify
    - arm64: Fix HCR.TGE status for NMI contexts
    - arm64: debug: Don't propagate UNKNOWN FAR into si_code for debug signals
    - arm64: debug: Ensure debug handlers check triggering exception level
    - arm64: KVM: Fix architecturally invalid reset value for FPEXC32_EL2
    - Revert "KVM/MMU: Flush tlb directly in the kvm_zap_gfn_range()"
    - ipmi_si: Fix crash when using hard-coded device
    - ipmi_si: fix use-after-free of resource->name
    - dm: fix to_sector() for 32bit
    - dm integrity: limit the rate of error messages
    - media: cx25840: mark pad sig_types to fix cx231xx init
    - mfd: sm501: Fix potential NULL pointer dereference
    - cpcap-charger: generate events for userspace
    - cpuidle: governor: Add new governors to cpuidle_governors again
    - NFS: Fix I/O request leakages
    - NFS: Fix an I/O request leakage in nfs_do_recoalesce
    - NFS: Don't recoalesce on error in nfs_pageio_complete_mirror()
    - nfsd: fix performance-limiting session calculation
    - nfsd: fix memory corruption caused by readdir
    - nfsd: fix wrong check in write_v4_end_grace()
    - NFSv4.1: Reinitialise sequence results before retransmitting a request
    - svcrpc: fix UDP on servers with lots of threads
    - PM / wakeup: Rework wakeup source timer cancellation
    - PM / OPP: Update performance state when freq == old_freq
    - bcache: treat stale && dirty keys as bad keys
    - bcache: use (REQ_META|REQ_PRIO) to indicate bio for metadata
    - stable-kernel-rules.rst: add link to networking patch queue
    - vt: perform safe console erase in the right order
    - x86/unwind/orc: Fix ORC unwind table alignment
    - perf intel-pt: Fix CYC timestamp calculation after OVF
    - perf tools: Fix split_kallsyms_for_kcore() for trampoline symbols
    - perf auxtrace: Define auxtrace record alignment
    - perf intel-pt: Fix overlap calculation for padding
    - perf/x86/intel/uncore: Fix client IMC events return huge result
    - perf intel-pt: Fix divide by zero when TSC is not available
    - md: Fix failed allocation of md_register_thread
    - x86/kvmclock: set offset for kvm unstable clock
    - x86/ftrace: Fix warning and considate ftrace_jmp_replace() and
      ftrace_call_replace()
    - tpm/tpm_crb: Avoid unaligned reads in crb_recv()
    - tpm: Unify the send callback behaviour
    - rcu: Do RCU GP kthread self-wakeup from softirq and interrupt
    - media: imx: prpencvf: Stop upstream before disabling IDMA channel
    - media: lgdt330x: fix lock status reporting
    - media: sun6i: Fix CSI regmap's max_register
    - media: uvcvideo: Avoid NULL pointer dereference at the end of streaming
    - media: vimc: Add vimc-streamer for stream control
    - media: imx-csi: Input connections to CSI should be optional
    - media: imx: csi: Disable CSI immediately after last EOF
    - media: imx: csi: Stop upstream before disabling IDMA channel
    - drm/fb-helper: generic: Fix drm_fbdev_client_restore()
    - drm/radeon/evergreen_cs: fix missing break in switch statement
    - drm/amd/powerplay: correct power reading on fiji
    - drm/amd/display: don't call dm_pp_ function from an fpu block
    - KVM: Call kvm_arch_memslots_updated() before updating memslots
    - KVM: VMX: Compare only a single byte for VMCS' "launched" in vCPU-run
    - KVM: VMX: Zero out *all* general purpose registers after VM-Exit
    - KVM: x86/mmu: Detect MMIO generation wrap in any address space
    - KVM: x86/mmu: Do not cache MMIO accesses while memslots are in flux
    - KVM: nVMX: Sign extend displacements of VMX instr's mem operands
    - KVM: nVMX: Apply addr size mask to effective address for VMX instructions
    - KVM: nVMX: Ignore limit checks on VMX instructions using flat segments
    - KVM: nVMX: Check a single byte for VMCS "launched" in nested early checks
    - net: dsa: lantiq_gswip: fix use-after-free on failed probe
    - net: dsa: lantiq_gswip: fix OF child-node lookups
    - s390/setup: fix boot crash for machine without EDAT-1
    - SUNRPC: Prevent thundering herd when the socket is not connected
    - SUNRPC: Fix up RPC back channel transmission
    - SUNRPC: Respect RPC call timeouts when retrying transmission
    - Linux 5.0.4
    - [Config] update configs for 5.0.4 stable update
  * New Intel Wireless-AC 9260 [8086:2526] card not correctly probed in Ubuntu
    system (LP: #1821271)
    - iwlwifi: add new card for 9260 series
  * [CONFIG] please enable highdpi font FONT_TER16x32 (LP: #1819881)
    - [Config]: enable highdpi Terminus 16x32 font support
  * [SRU][B/B-OEM/C/D] Fix AMD IOMMU NULL dereference (LP: #1820990)
    - iommu/amd: Fix NULL dereference bug in match_hid_uid
  * some codecs stop working after S3 (LP: #1820930)
    - ALSA: hda - Enforces runtime_resume after S3 and S4 for each codec
    - ALSA: hda - Don't trigger jackpoll_work in azx_resume
  * tcm_loop.ko: move from modules-extra into main modules package
    (LP: #1817786)
    - [Packaging] move tcm_loop.lo to main linux-modules package
  * C++ demangling support missing from perf (LP: #1396654)
    - [Packaging] fix a mistype
  * r8169 doesn't get woken up by ethernet cable plugging, no PME generated
    (LP: #1817676)
    - PCI: pciehp: Disable Data Link Layer State Changed event on suspend
  * Disco update: v5.0.3 upstream stable release (LP: #1821074)
    - connector: fix unsafe usage of ->real_parent
    - fou, fou6: avoid uninit-value in gue_err() and gue6_err()
    - gro_cells: make sure device is up in gro_cells_receive()
    - ipv4/route: fail early when inet dev is missing
    - l2tp: fix infoleak in l2tp_ip6_recvmsg()
    - lan743x: Fix RX Kernel Panic
    - lan743x: Fix TX Stall Issue
    - net: hsr: fix memory leak in hsr_dev_finalize()
    - net/hsr: fix possible crash in add_timer()
    - net: sit: fix UBSAN Undefined behaviour in check_6rd
    - net/x25: fix use-after-free in x25_device_event()
    - net/x25: reset state in x25_connect()
    - pptp: dst_release sk_dst_cache in pptp_sock_destruct
    - ravb: Decrease TxFIFO depth of Q3 and Q2 to one
    - route: set the deleted fnhe fnhe_daddr to 0 in ip_del_fnhe to fix a race
    - rxrpc: Fix client call queueing, waiting for channel
    - sctp: remove sched init from sctp_stream_init
    - tcp: do not report TCP_CM_INQ of 0 for closed connections
    - tcp: Don't access TCP_SKB_CB before initializing it
    - tcp: handle inet_csk_reqsk_queue_add() failures
    - vxlan: Fix GRO cells race condition between receive and link delete
    - vxlan: test dev->flags & IFF_UP before calling gro_cells_receive()
    - net/mlx4_core: Fix reset flow when in command polling mode
    - net/mlx4_core: Fix locking in SRIOV mode when switching between events and
      polling
    - net/mlx4_core: Fix qp mtt size calculation
    - net: dsa: mv88e6xxx: Set correct interface mode for CPU/DSA ports
    - vsock/virtio: fix kernel panic from virtio_transport_reset_no_sock
    - net: sched: flower: insert new filter to idr after setting its mask
    - f2fs: wait on atomic writes to count F2FS_CP_WB_DATA
    - perf/x86: Fixup typo in stub functions
    - ALSA: bebob: use more identical mod_alias for Saffire Pro 10 I/O against
      Liquid Saffire 56
    - ALSA: firewire-motu: fix construction of PCM frame for capture direction
    - ALSA: hda: Extend i915 component bind timeout
    - ALSA: hda - add more quirks for HP Z2 G4 and HP Z240
    - ALSA: hda/realtek: Enable audio jacks of ASUS UX362FA with ALC294
    - ALSA: hda/realtek - Reduce click noise on Dell Precision 5820 headphone
    - ALSA: hda/realtek: Enable headset MIC of Acer TravelMate X514-51T with
      ALC255
    - perf/x86/intel: Fix memory corruption
    - perf/x86/intel: Make dev_attr_allow_tsx_force_abort static
    - It's wrong to add len to sector_nr in raid10 reshape twice
    - drm: Block fb changes for async plane updates
    - Linux 5.0.3
  * Disco update: v5.0.2 upstream stable release (LP: #1820318)
    - media: uvcvideo: Fix 'type' check leading to overflow
    - Input: wacom_serial4 - add support for Wacom ArtPad II tablet
    - Input: elan_i2c - add id for touchpad found in Lenovo s21e-20
    - iscsi_ibft: Fix missing break in switch statement
    - scsi: aacraid: Fix missing break in switch statement
    - x86/PCI: Fixup RTIT_BAR of Intel Denverton Trace Hub
    - arm64: dts: zcu100-revC: Give wifi some time after power-on
    - arm64: dts: hikey: Give wifi some time after power-on
    - arm64: dts: hikey: Revert "Enable HS200 mode on eMMC"
    - ARM: dts: exynos: Fix pinctrl definition for eMMC RTSN line on Odroid X2/U3
    - ARM: dts: exynos: Add minimal clkout parameters to Exynos3250 PMU
    - ARM: dts: exynos: Fix max voltage for buck8 regulator on Odroid XU3/XU4
    - drm: disable uncached DMA optimization for ARM and arm64
    - media: Revert "media: rc: some events are dropped by userspace"
    - Revert "PCI/PME: Implement runtime PM callbacks"
    - bpf: Stop the psock parser before canceling its work
    - gfs2: Fix missed wakeups in find_insert_glock
    - staging: erofs: keep corrupted fs from crashing kernel in erofs_namei()
    - staging: erofs: compressed_pages should not be accessed again after freed
    - scripts/gdb: replace flags (MS_xyz -> SB_xyz)
    - ath9k: Avoid OF no-EEPROM quirks without qca,no-eeprom
    - perf/x86/intel: Make cpuc allocations consistent
    - perf/x86/intel: Generalize dynamic constraint creation
    - x86: Add TSX Force Abort CPUID/MSR
    - perf/x86/intel: Implement support for TSX Force Abort
    - Linux 5.0.2
  * Linux security module stacking support
    - LSM: Introduce LSM_FLAG_LEGACY_MAJOR
    - LSM: Provide separate ordered initialization
    - LSM: Plumb visibility into optional "enabled" state
    - LSM: Lift LSM selection out of individual LSMs
    - LSM: Build ordered list of LSMs to initialize
    - LSM: Introduce CONFIG_LSM
    - LSM: Introduce "lsm=" for boottime LSM selection
    - LSM: Tie enabling logic to presence in ordered list
    - LSM: Prepare for reorganizing "security=" logic
    - LSM: Refactor "security=" in terms of enable/disable
    - LSM: Separate idea of "major" LSM from "exclusive" LSM
    - apparmor: Remove SECURITY_APPARMOR_BOOTPARAM_VALUE
    - selinux: Remove SECURITY_SELINUX_BOOTPARAM_VALUE
    - LSM: Add all exclusive LSMs to ordered initialization
    - LSM: Split LSM preparation from initialization
    - LoadPin: Initialize as ordered LSM
    - Yama: Initialize as ordered LSM
    - LSM: Introduce enum lsm_order
    - capability: Initialize as LSM_ORDER_FIRST
    - procfs: add smack subdir to attrs
    - Smack: Abstract use of cred security blob
    - SELinux: Abstract use of cred security blob
    - SELinux: Remove cred security blob poisoning
    - SELinux: Remove unused selinux_is_enabled
    - AppArmor: Abstract use of cred security blob
    - TOMOYO: Abstract use of cred security blob
    - Infrastructure management of the cred security blob
    - SELinux: Abstract use of file security blob
    - Smack: Abstract use of file security blob
    - LSM: Infrastructure management of the file security
    - SELinux: Abstract use of inode security blob
    - Smack: Abstract use of inode security blob
    - LSM: Infrastructure management of the inode security
    - LSM: Infrastructure management of the task security
    - SELinux: Abstract use of ipc security blobs
    - Smack: Abstract use of ipc security blobs
    - LSM: Infrastructure management of the ipc security blob
    - TOMOYO: Update LSM flags to no longer be exclusive
    - LSM: generalize flag passing to security_capable
    - LSM: Make lsm_early_cred() and lsm_early_task() local functions.
    - LSM: Make some functions static
    - apparmor: Adjust offset when accessing task blob.
    - LSM: Ignore "security=" when "lsm=" is specified
    - LSM: Update list of SECURITYFS users in Kconfig
    - apparmor: delete the dentry in aafs_remove() to avoid a leak
    - apparmor: fix double free when unpack of secmark rules fails
    - SAUCE: LSM: Infrastructure management of the sock security
    - SAUCE: LSM: Limit calls to certain module hooks
    - SAUCE: LSM: Special handling for secctx lsm hooks
    - SAUCE: LSM: Specify which LSM to display with /proc/self/attr/display
    - SAUCE: Fix-up af_unix mediation for sock infrastructure management
    - SAUCE: Revert "apparmor: Fix warning about unused function
      apparmor_ipv6_postroute"
    - SAUCE: Revert "apparmor: fix checkpatch error in Parse secmark policy"
    - SAUCE: Revert "apparmor: add #ifdef checks for secmark filtering"
    - SAUCE: Revert "apparmor: Allow filtering based on secmark policy"
    - SAUCE: Revert "apparmor: Parse secmark policy"
    - SAUCE: Revert "apparmor: Add a wildcard secid"
    - SAUCE: Revert "apparmor: fix bad debug check in apparmor_secid_to_secctx()"
    - SAUCE: Revert "apparmor: fixup secid map conversion to using IDR"
    - SAUCE: Revert "apparmor: Use an IDR to allocate apparmor secids"
    - SAUCE: Revert "apparmor: Fix memory leak of rule on error exit path"
    - SAUCE: Revert "apparmor: modify audit rule support to support profile
      stacks"
    - SAUCE: Revert "apparmor: Add support for audit rule filtering"
    - SAUCE: Revert "apparmor: add the ability to get a task's secid"
    - SAUCE: Revert "apparmor: add support for mapping secids and using secctxes"
    - SAUCE: apparmor: add proc subdir to attrs
    - SAUCE: apparmor: add an apparmorfs entry to access current attrs
    - SAUCE: apparmor: update flags to no longer be exclusive
    - SAUCE: update configs and annotations for LSM stacking
  * Miscellaneous Ubuntu changes
    - [Config] CONFIG_EARLY_PRINTK_USB_XDBC=y
    - SAUCE: (efi-lockdown) bpf: Restrict kernel image access functions when the
      kernel is locked down
    - [Config] CONFIG_RANDOM_TRUST_CPU=y
    - [Config] refresh annotations for recent config changes
    - ubuntu: vbox -- update to 6.0.4-dfsg-7
    - Revert "UBUNTU: SAUCE: i2c:amd I2C Driver based on PCI Interface for
      upcoming platform"

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 05 Apr 2019 14:31:29 +0300

# For older changelog entries, run 'apt-get changelog linux-image-unsigned-5.0.0-1010-oem-osp1'
